µTorrent User Manual

v1.7.2 (build 3458)

Welcome to the µTorrent User Manual. We hope the information provided here will assist you in using µTorrent. You can always find the newest released version of µTorrent on the webpage. If you have a question that isn't answered in this manual, feel free to check the FAQ or the forums to look for answers, or to ask for help in the forums or on the IRC channel if the answer can't be found.

Table of Contents

  • Chapter 01: Introduction to µTorrent
    • About µTorrent
    • Features List
    • System Requirements
  • Chapter 02: Basic Guides
    • The Basics of BitTorrent
    • Downloading With µTorrent
    • Setup Guide
    • Port Forwarding
  • Chapter 03: Advanced Guides
    • More Port Forwarding
    • Migrating to Another Location
    • Switching from Another Client
    • Alternative Operating Systems
  • Appendix A: The µTorrent Interface
    • Main Window
      • Main Menus
      • Toolbar
      • Category List
      • Torrent Jobs List
      • Detailed Info Pane
        • General
        • Peers
        • Pieces
        • Files
        • Speed
        • Logger
      • Status Bar
    • Preferences
      • General
      • Downloads
      • Connection
      • BitTorrent
      • Queueing
      • Scheduler
      • Other
      • Advanced
        • Disk Cache
        • User Interface
        • Web UI
    • RSS Downloader
      • Feeds
      • Favorites
      • History
      • Releases
    • Miscellaneous
      • Create New Torrent
      • Add New Torrent
      • Torrent Properties
        • General
        • Advanced
      • Tray Icon
  • Appendix B: Advanced Information
    • Settings Directory
    • URL Formatting
    • Wildcards
    • Command Line Options
  • Glossary
  • External Links
  • Credits
  • Previous
  • Next


Chapter 01: Introduction to µTorrent

This chapter provides a quick overview of µTorrent, presenting its main features and system requirements.

  • About µTorrent
  • Features List
  • System Requirements


About µTorrent

µTorrent is a BitTorrent client originally created by Ludvig Strigeus (ludde). A client is a computer program that follows the rules of a protocol. For example, HTTP (HyperText Transfer Protocol) is the protocol used for transferring web pages and other content, and your HTTP client (or browser) is the program you use to get those web pages. Some popular browsers include Microsoft Internet Explorer, Mozilla Firefox, Opera, and Apple Safari. To an extent, they all work in the same way because they follow the same set of rules. Just as there are multiple HTTP clients, there are multiple BitTorrent clients that observe and conform to guidelines set in the BitTorrent protocol definition, and µTorrent is one such BitTorrent client.

So what sets µTorrent apart from other BitTorrent clients?

  • Micro-Sized Yet Feature Filled: Most of the features present in other BitTorrent clients are present in µTorrent, including bandwidth prioritization, scheduling, RSS auto-downloading and Mainline DHT (compatible with BitComet). Additionally, µTorrent supports the Protocol Encryption joint specification and peer exchange.
  • Resource-Friendly: µTorrent was written with efficiency in mind. Unlike many other BitTorrent clients, it does not hog valuable system resources, allowing you to use the computer as if it weren't there at all. Additionally, the program itself is very portable, being contained within a single executable small in file size.
  • Skinnable and Localized: Various icon, toolbar graphic and status icon replacements are available, and creating your own is very simple. µTorrent also has support for localization, and with a language file present, will automatically switch to your system language. If your language isn't available, you can easily add your own, or edit other existing translations to improve them!
  • Actively Developed and Improved: The developers put in a lot of time working on features and making things more user-friendly. Releases only come out when they're ready, with no schedule pressures, so the few bugs that appear are quickly addressed and fixed.


Features List

Although compact and resource-friendly, µTorrent does not skimp on features, with a feature set that rivals those of larger clients, such as Azureus, BitComet, and BitTornado. µTorrent's more notable features include:

  • Bandwidth limiter (automatic and manual)
  • Customizable interface
  • Disk Cache system
  • Distributed Hash Table (DHT) support
  • Download bar
  • Download scheduler
  • Embedded tracker
  • HTTPS tracker support
  • Initial Seeding (Super Seeding)
  • IP Blocklist support
  • Localization
  • Multi-scrape support
  • Multi-torrent interface
  • NAT Port Mapping Protocol (NAT-PMP) support
  • Peer Exchange
  • Protocol Encryption
  • Proxy support
  • RSS "Broadcatching"
  • Search bar
  • Selective file downloading
  • Tetris (Easter Egg)
  • Unicode support
  • Universal Plug and Play (UPnP) support
  • Web Interface
  • Web Seeding support


System Requirements

µTorrent's system requirements are very low, especially considering the operations it must perform. Systems running Windows 95 on a 486 processor with 14 MiB of RAM are able to run µTorrent without issue. Naturally, this compatibility spans all the way up to even Microsoft's next-generation operating system, Windows Vista. Every operating system in between, including Windows NT, Windows 98, Windows ME, Windows 2000, Windows XP, and Windows 2003, are supported by µTorrent.

It should be noted that Windows 95 users must install the Windows Socket 2 Update in order to use µTorrent. Windows 95/98 users should have their global maximum number of connections set lower than the value for the MaxConnections value in the Windows TCP/IP Registry Entries. Additionally, Microsoft Internet Explorer 4 or greater should be installed on Windows 95/98 operated computers if users wish to make use of several features in µTorrent, such as the toolbar, graphs in the pieces and files tab, and double-clicking in the torrent jobs list.

Users of non-Windows operating systems may be able to use µTorrent on their computers with the use of special software that allows the operating system to run Windows applications. Note that there are no guarantees of any kind that everything will work properly when µTorrent is used on alternative operating systems.


Chapter 02: Basic Guides

This chapter provides basic guides for µTorrent. Be sure to read this chapter, especially if you are new to BitTorrent in general.

  • The Basics of BitTorrent
  • Downloading With µTorrent
  • Setup Guide
  • Port Forwarding


The Basics of BitTorrent

BitTorrent (often abbreviated as BT) is a peer-to-peer (P2P) protocol (a description and set of rules on how to do things) created by Bram Cohen, designed to distribute data in such a way that the original distributor would be able to decrease bandwidth usage while still being able to reach at least the same amount of people. Cohen's idea was to "break" the file being transferred into smaller segments called pieces. To save bandwidth, each person downloading (more commonly referred to as peers in the BitTorrent community) would have the pieces that they acquired available for upload to other peers in the swarm (the entire network of people connected to a single torrent). In this way, much of the load of sharing the file to every peer interested in it is offloaded to the peers. Note that a seed is basically a peer with every piece, so when a peer successfully attains all data in the torrent contents, that peer becomes a seed as well.

While on the surface, it appears that the only way to maintain a swarm's health is for there to always be a seed connected to the swarm, that is not the case. The most important factor to determining whether a swarm can continue to allow peers to complete a torrent is the availability. The availability of a torrent is the number of complete copies of the torrent contents there are distributed in the part of the swarm you're connected to, including yourself. In most cases, if there is an availability of 1.0 or greater, then even if one single person does not have all the pieces, they are all still distributed across the entire swarm and can be acquired to form the complete file.

In order for everyone to be able to locate one another, there needs to be some centralized location that peers could connect to in order to obtain the other peers' IP addresses. BitTorrent trackers serve as this centralized location. In the most basic explanation, for each given swarm, a tracker only needs to collect a peer's IP address and port number to share with other peers connecting to that same swarm.

Because of the very nature of BitTorrent, speeds are not guaranteed for any given torrent swarm. While you may get great speeds in one swarm, you might not in another. This is due to the fact that BitTorrent is a P2P protocol, so it depends on the upload speeds of the other peers you are connected to to generate your download speeds. A common misconception held by many people is that torrent swarms that contain more seeds and peers are faster than those with less. This is not always the case. There can be a swarm with only a few seeds and/or peers on fast Internet connections, and you'll be able to get great speeds from them, while a swarm with many more seeds and/or peers might contain mostly people with slow, dial-up Internet connections, will get you terrible speeds from them. In the same vein, connecting to more seeds and/or peers does not equate to greater speeds, and seeds don't necessarily give better speeds than normal peers.


Downloading With µTorrent

Similar to needing a URL, like http://www.utorrent.com, to go to a website and download content, a .torrent file is required to download content available through BitTorrent. Most of the time, you can download this file from a website, though you can also get it from a friend or some other form of transfer. Many websites offer .torrent files as one method of downloading files available through that website. Sites that contain .torrent files are generally repositories of only the .torrent files, and usually don't create or directly make available any of the content being shared. These sites are either index sites or trackers. While torrent index sites list .torrent files for download, torrent trackers merely coordinate the swarm. Many torrent trackers function as a torrent index as well, listing the torrents that it tracks (and sometimes, torrents from external trackers as well).

So where do you go about looking for these .torrent files? Searching with your favorite search engine, and attaching the word torrent to the query generally works wonders in finding you decent search engines, but µTorrent also includes a built-in search bar to some of the more popular .torrent file search engines.

Adding a Torrent

Once you obtain the .torrent file you wish to download, you simply import it into µTorrent. There are several ways of achieving this in µTorrent:

  • Left-click "File" then "Add Torrent" (or press Ctrl+O) in µTorrent and open the .torrent file
  • Double-click the .torrent file (only if .torrent files are associated with µTorrent)
  • Drag-and-drop the .torrent file into µTorrent
  • If you know the direct URL to the .torrent file, but don't have it on your hard drive, you can select "File" then "Add Torrent from URL" (or press Ctrl+U) in µTorrent and enter the URL of the .torrent file

After opening the .torrent file, tell µTorrent where you'd like the torrent contents to be saved. If µTorrent doesn't automatically start downloading, you can start the torrent job manually by selecting the torrent job in the list and pressing the "Start" button on the µTorrent toolbar, or by right-clicking the torrent and selecting "Start".

What to do After the Torrent Job Finishes Downloading

After a torrent job finishes downloading, you may view the files that you have downloaded. While you can also remove the torrent job from the torrent jobs list if you so wish, you are highly encouraged to leave the torrent job seeding (uploading after you have obtained every piece). Although the length of time that you should leave the it seeding is not defined in particular, it is recommended that you share until the amount of data you upload reaches at least the same as the amount of data that you have download, also known as reaching a 1.0 ratio. This ratio is calculated by dividing the amount of data you have uploaded by the amount that you have downloaded. Granted, it is technically impossible for every person in any given swarm to reach a 1.0 ratio, but people who leave the swarm before even getting close to that ratio are abhorred in the BitTorrent community, and are labeled as leechers (which carries a strong negative connotation). Because leechers have a detrimental effect on swarms, some people resort to vigilante tactics and block connections to leechers. Additionally, private trackers may ban leechers.


Setup Guide

The focus of this section is to help you configure µTorrent to be able to obtain the optimal speeds for your Internet connection. While configuring it properly does not guarantee that you will hit your maximum upload and/or download speeds, it guarantees that µTorrent is doing the best it can to get good speeds. Be sure to read this entire section if you are unfamiliar with configuring µTorrent, because you will be expected to have read it already when asking for help elsewhere.

The Speed Guide

When you first open µTorrent, you are greeted with the µTorrent Speed Guide. As stated in the wizard, following the simple directions will help you select the optimal settings for your Internet connection.

During step 1, you are asked to select your upload speed from the dropdown menu. If you do not know the information, you can test your Internet connection speed by left-clicking on the button. On the page you are brought to, there are several mirrors listed; select the mirror closest to where you live. When you are running the speed test, make sure you are not using your Internet connection for anything besides the test. If you have any other computer on your network, disconnect them or shut them off before running the test. Run the test several times, and take the average of your upload speed given in the tests. From the "Connection Type" dropdown list, select the option closest to your average upload speed. Note that there is a distinction between bits and bytes, and speed results are generally given in kbps (kilobits per second), which should not be confused with KiB/s (kibibits per second). Additionally, the tests may not be 100% accurate due to factors outside of your control, so if the closest option is only a little bit higher than what you received on the tests (perhaps by 10%), it's generally safe to select that. If the difference is greater than that, it's best to select the lower option and manually set the correct upload speed. Do not be tempted to select an option much higher than indicated on the speed tests in hopes that it will help you download faster, as it will not, and might end being detrimental to your speeds instead.

For step 2, a port between 1024 and 5000 is randomly selected for you the first time the Speed Guide is displayed, though you are free to change the port used. After you select your port, left-click "Test if port is forwarded properly" to check that the port is open. It is essential that a port is open for µTorrent to listen for incoming connections on. If you are having trouble opening a port, continue reading onto the next section of this chapter.

Depending on your Internet service provider (ISP), step 3 might be critical in determining whether you are able to connect to other peers. Some ISPs block or throttle BitTorrent connections because of the high bandwidth it generates due to the sheer number of people using BitTorrent. Encryption combats this attack vector by hiding the fact that connections are BitTorrent connections. Some ISPs cannot distinguish an encrypted connection from any other random data connection, so they are unable to label it as a BitTorrent connection, and consequently, cannot block or throttle it for being a BitTorrent connection. In general, there is no harm in enabling Protocol Encryption. Beware that some ISPs are starting to identify even encrypted BitTorrent connections with upgraded hardware, so even Protocol Encryption might not help users getting throttled by their ISPs. In such cases, the only solution would probably be to switch ISPs.

When you finish configuring everything, left-click "Use Selected Settings" and you're done! If, for whatever reason, you need to return to this wizard to make a change, you'll find it accessible by selecting "Options" then "Speed Guide..." (or press Ctrl+G) in µTorrent. Alternatively, you can left-click on the network status icon in the status bar.

Correcting Some Settings

If you found that you had to round down when selecting your connection type in the Speed Guide, you should adjust your upload speed limit to take advantage of the extra upload speed you actually have. Take the average upload speed you received when taking the test and divide it by 10, then round it to the closest whole number. Now use this calculated number as your global maximum upload rate.

Windows 95/98 users should be aware of the requirements for their operating system and either lower their global maximum number of connections to less than the MaxConnections limit, or increase that limit in the Windows Registry.

Testing Your Configuration

Because torrents don't necessarily guarantee speeds, you can't just pick any random torrent and expect to be able to test the speeds properly. Luckily, there are many torrents out there that are seeded perpetually by computers sitting on fast broadband connections. Try a test torrent to test your configuration!

When properly configured, µTorrent should be able to attain the maximum speed possible on your Internet connection with these test torrents without much difficulty. Because these torrents are simply used for testing your connection speeds, it is safe to delete them whenever you are finished with the tests. Remember that these speeds are not indicative of how fast every torrent you come across will download.


Port Forwarding

A large portion of the time, users complain that they are not getting great speeds with µTorrent. While it's possible that there is no issue because of the very nature of BitTorrent, it is equally possible the user is not allowing incoming connections to reach his computer, and thus, is not making optimal use of µTorrent's ability to connect to peers with that torrent. Being unable to accept incoming connections means your computer is in a firewalled state. In µTorrent, if you are unable to get a green network status icon after a long period of transferring different torrents, it is an indication that you might be in a firewalled state.

Why Being Firewalled is Bad

Many firewalled users find themselves thinking "Hey, I'm firewalled, but I can still transfer the files, so it must mean I'm okay!" What they fail to realize is that being firewalled does not necessarily mean you cannot download at all, as firewalled users can still make outgoing connections, connecting to peers to transfer data in that way. While this is true, that's all you are limited to. That means that if someone else tries to initiate a connection with you, the attempt is blocked by your firewall.

You must then realize that you might not be the only firewalled user in the swarm. Since firewalled users can only make outgoing connections, and cannot accept incoming connections, it is natural that they (the firewalled users) cannot connect to each other. Being in a firewalled state not only cuts into the potential speed you could be attaining when not firewalled, but also means you are of very limited use to other peers in the swarm. Because there are less people available for firewalled users to connect to, they are open to less sources for data. Additionally, because they cannot accept incoming connections, other peers do not connect to them, so they lose even more attention. Essentially, peers who are not in a firewalled state have the potential to connect to many more sources of data.

Removing yourself from being in a firewalled state does not mean you have to get rid of your firewall entirely. The only requirement is that you allow the application you wish to be unfirewalled in to listen to the port they want to through the firewall, also known as port forwarding. In the case of µTorrent, you need to set your firewall to allow µTorrent to listen to the port set in the connection preferences.

Although it may sound like a security risk to "poke" a hole in your firewall, it is not the case. If no application is listening on the port that is opened in your firewall, any incoming connections on that port will be ignored. If an application is listening, security is up to that application. There is no known, fully-remote exploit for the current version of µTorrent that would break your computer's security setup, so there is no known risk in opening a port on your firewall for µTorrent.

Forwarding Ports in Your Software Personal Firewall

Nowadays, it is not uncommon for people to have a software personal firewall installed on their computers. While many people simply allow applications they recognize to access the Internet, oftentimes, it is not enough, as the firewall may continue to block the port that the allowed application is trying to listen on. As such, specific firewall rules may need to be created in order for µTorrent to work on a computer with a software personal firewall installed. The general rule of thumb you should follow is that you have to allow incoming TCP and UDP connections through the listening port set in the connection preferences. Because you are forwarding a specific port in your firewall, it is imperative that you do not have µTorrent randomize the listening port each time it starts.

Because of the wide variety of software personal firewalls available today, there is no way to include specific instructions for every product. Though this is the case, there is one specific firewall that µTorrent can create a firewall rule for automatically, and that is the Windows Firewall. The relevant option assumes you are running Windows XP with at least Service Pack 2 (SP2) installed, and have the firewall enabled.

Forwarding Ports in Your Router

With broadband becoming the prevalent way by which people access the Internet, and multiple computers in each home becoming a common sight, routers are often used to share the broadband connection across the computer network in the home. Even if multiple computers are not being used on the broadband connection, ISPs often supply routers for their customers to use. What many people don't realize is that most routers include a built-in firewall that, when left unconfigured, will generally leave your computer firewalled, even if you have your software firewall configured properly.

Universal Plug and Play

As with software personal firewalls, there are a wide variety of routers available, and because of the sheer number, it is impossible to include port forwarding instructions for each router model in this user manual. Fortunately many routers support Universal Plug and Play (UPnP), which simply allows µTorrent to open a port on the router automatically without user intervention, then close the port when the port is done being used. The problem with Universal Plug and Play is that it's not supported by all routers, and different/incompatible implementations of the UPnP protocol are included in many routers. By default, UPnP is enabled in µTorrent. If you find that you are still in a firewalled state, then it likely means your router does not support UPnP, or includes an implementation incompatible with the UPnP used by µTorrent. If this is the case, then it is recommended that you disable UPnP in µTorrent, set up a static IP, and forward your ports manually.

Setting Up a Static IP

On most routers, a connected computer's IP address on the network is picked from a pool of IP addresses available for the router to choose from through Dynamic Host Configuration Protocol (DHCP). The keyword here is "dynamic," as this indicates that each computer's IP address is assigned on-the-fly based on what IP addresses are still available in the router's pool. While some people get lucky and keep their LAN IP addresses for a long period of time, that is not a guarantee under DHCP. As such, port forwarding rules might work one day in forwarding traffic through a specific port to a specific computer at its LAN IP address at the time that the rule was made, but it may cease to work on another day because that specific computer's LAN IP address may have changed along the way. Some routers (notably, Linksys routers) don't even bother to forward ports to computers whose LAN IP addresses are within the DHCP IP range. Because of these reasons, it is necessary that you set up a static IP address for your computer (preferrably, outside of the DHCP range) before you continue with forwarding your ports manually on the router.

Note that static IP refers to static LAN IP, which is different and unrelated to WAN IP. Your LAN IP address is the location of your computer within your network, but is not public for anyone to see besides the other computers within your network. Your WAN IP address is the IP address that people outside of your network see your network at, but it does not reveal the internal IP address allocation on your LAN, which may contain multiple computers, each (naturally) having their own LAN IPs. In the context of setting up a static IP for port forwarding, your WAN IP is irrelevant, and is normally not used in any step along the way.

The directions for setting up a static IP can be found on PortForward.com.

Manual Port Forwarding

Assuming you have a static IP set up properly, the final step would be to do the actual port forwarding on your router. To get to the router configuration, you can normally visit the Default Gateway IP address in your browser. From there, you look for some method of forwarding ports or allowing/hosting "applications" through the firewall, whereby you forward incoming connections on the listening port selected in µTorrent over both TCP and UDP to your computer's IP address, which should be the IP you selected when setting up the static IP. A list of many routers and port forwarding instructions for them can be found on PortForward.com. Be sure you know your router's exact brand and model. If your router is not listed there, you should consult with your router's documentation, or search the Internet for more detailed instructions.

Testing Your Configuration

After you forward your ports, use the port checker from step 2 of the Speed Guide to test whether the port was opened correctly. If it confirms that the port is open, then you're done! If otherwise, then go over the previous instructions and make sure you did not skip a step or make any mistakes. If you're absolutely sure you configured everything properly, then there might be other problems at hand. In that case, you should read the advanced guide on port forwarding.


Chapter 03: Advanced Guides

The intent for this chapter is to help users in more advanced situations that most typical users of µTorrent won't find themselves having to deal with.

  • More Port Forwarding
  • Migrating to Another Location
  • Switching from Another Client
  • Alternative Operating Systems


More Port Forwarding

Even after having carefully and laboriously followed all the port forwarding instructions previously written, you've found that your port simply refuses to open up. So what exactly is the problem? Possibilities include (but are not limited to):

  • Intentional ISP interference: Some ISPs are known to simply block connections to unauthorized ports, in which case your entire network is essentially placed into a firewalled state.
  • Internet connection type: One prominent example of this being the source of the problem are Internet connections that are received wirelessly (though satellite or something similar). Customers of wireless connections are very often not given WAN IP addresses, and so are permanently in a firewalled state.
  • Proxy service: Some ISPs place their users behind a transparent proxy, whereby the port checker might be unable to detect the forwarding state properly. In that case, try a test torrent and let it run for a while. If the network status light turns green, then everything's probably configured properly. Even then, though, being behind a proxy essentially places one behind a firewall, so you might still suffer problems as if you were behind a firewall.
  • Network hardware blocking: Some modems are known to cause issues with your computer being in a firewalled state even though they technically aren't routers. One notorious example is the Motorola SurfBoard brand of modems, which you can read up about at the PortForward.com forums.

User error is also a very common problem when it comes to port forwarding issues, but assuming that everything in the basic port forwarding guide was followed carefully, then the problem very likely lies with another issue called double NAT. Unlike any of the other issues listed above, double NAT problems can often be taken care of, provided the user follows the necessary steps as described below.

Double NAT

Double NAT occurs when your computer is sitting behind two or more routers. In most double NAT cases, it turns out that the user has a dedicated router, but was also unknowingly provided with a modem by their ISP that came with router or firewall capabilities. When that is the case, the user simply forwards ports from the router to the computer, leaving the modem alone, and this is exactly where the problem lies. Because the modem acts as a router as well, if it is not configured properly, it essentially means that the user remains in a firewalled state, since the dedicated router that the user did configure is not actually receiving incoming connections on the forwarded port due to everything being blocked by the outermost router -- the modem. Be aware that this is a specific case of the issue at hand. In more severe cases, users can have more than just two routing devices, and rectifying the problem can become that much more difficult, depending on the solution taken.

Removing or Disabling the Extraneous Router

In the simplest of cases, ridding yourself of the double NAT situation comes down to simply removing the extra routers, or disabling their routing capabilities. Using this method assumes that the extraneous routers being operated upon are absolutely unneeded on the network. If that is not the case, then the only solution you have is to chain port forward. With the method being described in this section, only one router should end up on the network, that router being the one that your computers are actually connected to. Some examples are as follows:

  • You have a modem that acts as a router, a dedicated router that is connected to the modem, and then your computers that are connected to the router. In this case, you should disable the routing capability in the modem, so that you're left with only the dedicated router as the sole router on the network (which is the one connected to your comptuers).
  • You have a modem that acts as a router, two routers, and all of the computers connected to the same router. In this case, you should disable the routing capability on the modem, and remove the router that no other computers are connected to.

As you can see, the general rule of thumb is that you remove all extraneous routers. You'll notice, though, that the modem with routing capability never gets removed -- that's because the modem function is important for allowing you to actually connect to the Internet. In any case, to disable the router in the modem, you have to physically connect a computer directly to the modem, then visit the configuration page for the modem. Before actually disabling the routing capability, you must be sure to check whether your modem contains login information for your ISP. If it does, then you are going to have to make sure you have a copy of that information on hand. This is most often the case for people using a DSL modem and router, where login information is stored where the PPPoE configuration page is. That aside, setting the modem to bridge mode is what you should be combing through its configuration page for. After you do this, everything should hopefully be fine. If you find that your Internet connection no longer works, you should fill the login information you copied into the appropriate location in the remaining active router on your network (if you copied PPPoE settings from the modem, copy it into the PPPoE settings in the router).

Chain Port Forwarding

This method can be very annoying, as it requires that you set static IPs for and forward the desired port through each and every one of them. Basically, you need to follow the basic port forwarding guide for each and every router, except that the IP you're forwarding to is the IP of the next router in the chain of routers leading up to your computer. Each router must be assigned a static IP address, which can normally be set in its configuration pages. While specifics can't be delved into because of the large number of routers around, the following case example might be of use to illustrate the process more clearly:

  • You have a modem that acts as a router. A dedicated router (router A) is connected to it. Another dedicated router (router B) is connected to router A. Your computer is connected to router B.
  • The modem's routing subnet starts with 192.168.1.x. It forwards the port specified in µTorrent to router A, which is at IP address 192.168.1.5 on the modem's subnet.
  • Router A has a static IP set to 192.168.1.5. Its own subnet starts with 172.16.1.x. It forwards the port specified in µTorrent to router B, which is at IP address 172.16.1.3 on router A's subnet.
  • Router B has a static IP address set to 172.16.1.3. Its own subnet starts with 10.0.0.x. It forwards the port specified in µTorrent to your computer, which is at IP address 10.0.0.6 on router B's subnet.
  • Your computer has a static IP address set to 10.0.0.6, and because the port was forwarded from the modem to router A, and from router A to router B, then from router B to this computer, the port checker considers your client to be connectable.

Please be aware that that was just an example. Many conditions, including the IP addresses, the number of devices on your network setup, or how everything is connected, will most likely differ from the example. All you can do is adapt the example to your situation and configure everything accordingly. Setting the static IP addresses up properly is extremely important when chain port forwarding. Any mistakes (or failure to do so) means more troubleshooting in trying to figure out which device's IP address changed if your port suddenly becomes unforwarded.

More Troubles

If you do not see an answer or solution above, or you are unsure of what your problem is, please join the IRC channel, or the forums to ask for more assistance. Do explain what you've tried so far with some level of detail so that people know what you have attempted, and what else you could try (if anything).


Migrating to Another Location

In some cases, you might find that you need to move your files, be it due to simple reorganization, possibly to reinstall Windows, or maybe even to move µTorrent and all the torrent jobs along with their contents to a new computer. In any case, the process is simple, though the process can turn out to be lengthy. Realize that in the process, you might lose your accumulated statistics for each torrent job, but that does not mean you lose the statistics on the associated trackers, so do not fret about that.

Reinstalling Your Operating System

In the simplest of cases, reinstalling your operating system only requires you to make a backup of the data onto a new drive or partition if the torrent contents and µTorrent settings directory are located on the same drive or partition as the operating system you are trying to reinstall. After everything is completed, you simply have to move the files back to their previous locations, and µTorrent will resume everything without issue. If you did not have an encapsulated "installation" of µTorrent, then make sure you have the same username before moving the settings directory back into %AppData%. If you are unable to perform any of the above, you will have to take the long route of performing the migration as if you were really moving the torrent contents.

Moving to a New Computer

Migrating µTorrent to a new computer simply requires that you copy your files to your new hard drive, along with backing up the entire µTorrent settings directory. The most difficult part of this process comes with the placement of the µTorrent directory and the torrent contents. If you want to complete the process with minimal effort, it becomes a simple matter of making sure the paths for all the files related to µTorrent and the torrent contents on the new computer are identical to the respective paths on the old computer.

  • If you had an encapsulated "installation" of µTorrent, an identical username is not necessary. Otherwise, if the µTorrent settings folder was located in %AppData%\uTorrent, then you will have to create a user with the same exact account name on the new computer as on the old computer, then move the µTorrent settings directory into the proper location on disk.
  • If you plan on moving the drive over to the new computer, then as long as the drive letter remains the same, you save even more effort. Otherwise, if you're going to copy the files from the old drive to the new drive, then you should make sure the torrent contents' paths remain identical.

If any of those tips fail, and you are unable to keep paths identical for either the settings directory or the torrent contents, then you're in for a very long ride, and will have to perform everything as if you had moved the torrent contents.

Moving Torrent Contents

This process, if you haven't already figured it out, might require the most amount of time out of any of the "migration" processes, as it might require that you allow µTorrent to verify the data integrity of the torrent contents after the move. What's time consuming isn't really the procedure itself, but the fact that rechecking can take a lot of time, depending on the torrent contents' sizes, and how many different torrent jobs you want to move. All that's needed when you're moving torrent contents is that you stop the torrent job in µTorrent, move the torrent contents to wherever you need them to be, set the download location for each associated torrent job for the moved contents, and start the torrent job. If µTorrent doesn't recognize the existing data, stop the torrent job and force re-check for each relevant torrent job.


Switching from Another Client

Now that you've made the switch to µTorrent, you're probably wondering if or how you could import all the torrent jobs you were running in your previous client. Rest assured that the process is a relatively simple one, and only requires a bit of patience, depending on how much data is being "imported" into µTorrent -- the larger and more numerous the torrent contents being imported, the longer it will take, because it all means that the data integrity checking will take longer as well.

Removing Extra Extensions

There is a simple matter to tend to first before proceeding with the import, and that has to do with a specific feature in some other clients. Some other clients append a special extension to incomplete files to indicate that they are incomplete, and µTorrent (if the relevant option is enabled) is no exception. Because of this extension, µTorrent might have trouble recognizing the torrent contents, and will ignore them instead. To fix it, all you have to do is remove the special extension from any incomplete file. If there are many files, this can quickly become a boring and tedious task. Luckily, a simple batch script can be used to rename all files with the unwanted extension:

@for /r %%i in (*.XT!) do @move "%%~fi" "%%~dpni"

Copy and paste the above line of code to a new text file, then change the XT! to the extension you wish to remove. BitComet, for example, appends a bc! extension to the end of incomplete files, so you would replace the XT! in the script with bc!. Now, save the text as a batch file (rename.bat, for example), and all you have to do is move the batch file to the directory containing files you want to rename, and run the script, then repeat for any other directory containing files you want to remove the specified extension for. Note that the above script is recursive, so any files contained within any other directory in the same directory as the batch file will be renamed as well if they have the specified extension.

Importing Torrent Jobs

With extra extensions out of the way, the rest of the process is smooth sailing in that you'll likely get no errors. All you need to do is to open the .torrent file, and point it to the location that the torrent contents were already saved to while you were using your other BitTorrent client. µTorrent will automatically check the data integrity, and assuming everything went well, will resume where you left off previously. Realize that you must do this for each and every .torrent file you wish to import.

There is an alternative method for loading .torrent files that does not require manual user intervention, but it's best left for people with many torrent jobs to import. Additionally, there is one major prerequisite before this method can be used: all torrent contents you wish to import must be located in a common folder, not organized in any fashion, but simply located in that folder as if it were the folder you selected to download the torrent contents to. That aside, you can start setting the process up. In the Downloads preferences, tick the "Put new downloads in" checkbox, untick the "Always show dialog on manual add" checkbox, and select the path to the directory that all your torrent contents are located in. Make sure the "Don't start the download automatically" option is left unticked. Now create a new folder somewhere, then go to the auto-load torrents option and set it to point to that newly-created directory. After confirming the changes, move all the .torrent files you wish to load into the folder you just told µTorrent to automatically load .torrent files from, and µTorrent should do so, automatically starting and checking all the torrent contents. If a torrent job is already completed, µTorrent will automatically place it in seeding mode. After everything is imported, feel free to revert the changes made to the µTorrent settings.

Changing .torrent Associations

Another thing you might want to do when switching to µTorrent is to unassociate .torrent files with your previous client, and have them open with µTorrent by default. If you plan on keeping the other client, and want µTorrent to open .torrent files by default, you should look in your previous client's options and find a way to have it not associate itself with .torrent files automatically, if it does so. In any case, all you have to do in µTorrent is associate it with .torrent files in the preferences.


Alternative Operating Systems

In a world where most end users only know about or are familiar with Microsoft Windows, it's easy to forget that there are alternative operating systems out there, right? For those of you who aren't using Windows, it's still possible to run µTorrent in your operating system, it just takes a bit more fussing around to get it running more nicely (though there might still be residual limitations in functionality due to operating system limitations).

Running on Wine (*BSD, GNU/Linux)

Wine is an open source project that aims to implement the Windows API on UNIX. In simpler terms, it is an attempt to allow users running a traditional, UNIX-based operating system (such as *BSD or GNU/Linux) to execute applications that normally run on Windows. The first step in running µTorrent on Wine would, naturally, be to download and install the latest version of Wine from WineHQ.org if you haven't already done so.

When Wine is installed, the only thing you need to do is run µTorrent by using the wine command in a terminal window. Wherever you have your µTorrent executable located at on your filesystem, you simply run µTorrent with the command wine FULL_PATH (where FULL_PATH is the full path to the µTorrent executable) in in the terminal window. Naturally, there are many different (and easier) ways to execute µTorrent through Wine, but because there are infinitely many combinations of softwares available for use on the UNIX-based operating systems, the most generic way will have to suffice.

So where exactly is the hard part in using µTorrent on Wine? It's in the limitations that come with using Wine and its incomplete implementation of the Windows API. Because of this, and the fact that Wine is unable to integrate too deeply with its host operating system, there are several known issues you should be aware of:

  • Graphical oddities: There are several oddities in the interface running µTorrent under Wine...
    • The application icon on the title bar will not display properly if you allow the window manager to control the window.
    • The interface sticks out like a sore thumb, with the gray Windows application window background in all its glory. Users can modify the theme colors in the "Desktop Integration" tab of winecfg to better integrate Wine-run applications with surrounding applications.
    • Alpha transparency does not work properly, so if you intend on using external interface customization files, you might have to edit them to look "normal" on your operating system.
  • Settings directory: Because Windows environment variables do not apply in alternative operating systems, it naturally follows that %AppData% does not either. You'll find that the µTorrent settings directory is actually located at ~/.wine/drive_c/windows/profiles/USERNAME/Applications Data/uTorrent, where USERNAME is your username on the operating system.
  • .torrent file association: Due to the inability of Wine to map file associations to applications run through Wine, the feature is rendered useless. Check association on startup should be disabled. An alternative method of "emulating" file association would be to use the auto-load torrents feature to tell µTorrent to automatically load files from a directory on your filesystem. In that way, you can simply drag or download .torrent files into that directory, and if µTorrent is running, it will automatically load the new files.
  • Start on system startup: Because alternative operating systems have different methods of booting applications at startup, the usual methods of adding a startup entry in Windows (be it in the Registry, or in the Start menu) won't work. Start µTorrent on system startup should be disabled.
  • Status bar: Left-clicking on the network status section will not open the Speed Guide. Right-clicking on the download and upload sections of the status bar will not display the corresponding limit-changer menu.
  • Open Containing Folder: Because Open Containing Folder attempts to open a Windows Explorer process, and the native Windows Explorer is not present on alternative operating systems, it will open the Wine implementation, which looks unimpressive, and does not work very well. Unless you can tolerate it, don't bother using this feature under Wine.
  • Open File: "Open" in the torrent jobs list context menu or on the Files tab will not work, as they attempt to run a Windows application associated with the file type, but since there are none, they fail.
  • Changing Column Order: Columns in listviews can not be reordered.
  • System tray: The system tray feature has been reported to be flaky under Wine, so if you have issues using it, you should disable all relevant options.

Running on Darwine (Mac OS X)

Darwine is a port of Wine for use on Darwin and Darwin-based operating systems, such as Apple's Mac OS X. Just as with Wine, it's generally best to download and install the latest version of Darwine. After installed, run WineHelper.app (which should be located in the installed Darwine folder) then open µTorrent's executable file. That's all!

Not unlike Wine, there are several known issues in using µTorrent with Darwine that you should be aware of:

  • Shared bugs: Due to its heritage, Darwine exhibits all of the same bugs that Wine does.
  • Minimizing bug: If you leave the µTorrent window minimized, you'll find that the window is blank upon restoration.
  • File selection: Selecting/deselecting files does not work when using the checkboxes in the Add New Torrent dialog. You can right-click a file and select/deselect it in that way.

Running on CrossOver Mac (Mac OS X)

CodeWeavers has been developing a commercial flavor of Wine for several years now, allowing people to run Windows applications on alternative operating systems, and their reach has extended into Mac OS X with CrossOver Mac. Unfortunately, CrossOver Mac works only on the newer, Intel-based Macs, and not the older, PowerPC-based Macs. That aside, all you need to do is obtain and install a copy of CrossOver Mac, download a copy of µTorrent, and run it as you would any other application (double-click the executable). CrossOver Mac should recognize µTorrent as a Windows executable, and will automatically run it.

µTorrent exhibits the same bugs under CrossOver Mac as under Darwine. Because running µTorrent under CrossOver Mac presents very few advantages, there is little reason to use CrossOver Mac over Darwine unless you already use CrossOver Mac.

It should also be noted that with CrossOver Mac, your settings directory is located at ~/Library/Application Data/Crossover/BOTTLENAME/drive_c/windows/profiles/USERNAME/Applications Data/uTorrent, where BOTTLENAME is the name of the Bottle you are using, and USERNAME is your username on the operating system.


Appendix A: The µTorrent Interface

This appendix provides detailed descriptions of most of the interface elements in µTorrent.

  • Main Window
    • Main Menus
    • Toolbar
    • Category List
    • Torrent Jobs List
    • Detailed Info Pane
      • General
      • Peers
      • Pieces
      • Files
      • Speed
      • Logger
    • Status Bar
  • Preferences
    • General
    • Downloads
    • Connection
    • BitTorrent
    • Queueing
    • Scheduler
    • Other
    • Advanced
      • Disk Cache
      • User Interface
      • Web UI
  • RSS Downloader
    • Feeds
    • Favorites
    • History
    • Releases
  • Miscellaneous
    • Create New Torrent
    • Add New Torrent
    • Torrent Properties
      • General
      • Advanced
    • Tray Icon


Main Window

The main window is the part of the µTorrent interface that you'll likely be interacting with the most, so it's good to get familiar with it by reading this section of the help.

Several sections of the main window have column-based, tabular information. Note that left-clicking on a column will sort the items in the list by that column, alternating between ascending and descending sort for each additional left-click. You can select what columns you wish to see by right-clicking the column headers. If you wish to reset all changes you've made to the columns, you can select "Reset" in that context menu.

  • Main Menus
  • Toolbar
  • Category List
  • Torrent Jobs List
  • Detailed Info Pane
    • General
    • Peers
    • Pieces
    • Files
    • Speed
    • Logger
  • Status Bar


Main Window: Main Menus

  • Previous
  • Next
µTorrent User Manual > Appendix A: The µTorrent Interface > Main Window

Main Menus

The main menus are where you'll find many of the other facilities included in µTorrent, such as the Preferences, or the RSS Downloader.

File

  • Add Torrent... Ctrl+O prompts you for the location of the .torrent file that you are trying to open on disk. If you set a default download location, the torrent job will automatically be added to the torrent jobs list and started (if you did not set µTorrent to start torrent jobs in stopped mode). If you did not set a default download location, you will be prompted where you would like to save the torrent contents, with the Add New Torrent dialog being shown by default.
  • Add Torrent (no default save)... Ctrl+D does the same thing as Add Torrent, but will always ask you where you'd like to save the torrent contents, regardless of whether you have a default download location set or not.
  • Add Torrent from URL... Ctrl+U allows you to open a .torrent file directly from URL without having saved the it to your hard disk. Depending on the method used by the website for authenticating users (if any), the URL may have to be entered in a specific format.
  • Create New Torrent... Ctrl+N lets you create .torrent files that you can use to share your data with other people.
  • Exit does just that -- it exits µTorrent. Note that exiting µTorrent automatically sends a stop signal to trackers, so you do not have to stop all torrent jobs before exiting. Torrent jobs that are not stopped will automatically be started when µTorrent is next opened. Even after exiting, the µTorrent process might continue to run for a while longer. This happens because µTorrent is trying to finish transferring pieces and write remaining pieces to disk from memory. The process should disappear after a few seconds.

Options

  • Preferences... Ctrl+P opens up the Preferences dialog, where you can configure most of µTorrent's options.
  • RSS Downloader... Ctrl+R opens up the RSS Downloader dialog, where you can configure µTorrent's RSS settings.
  • Speed Guide Ctrl+G opens up the Speed Guide dialog, where you can tell µTorrent to configure some basic settings that can affect your speeds.
  • Show Toolbar F4 toggles the display of the toolbar at the top of the main window.
  • Show Detailed Info F5 toggles the display of the information pane near the bottom of the main window.
  • Show Status Bar F6 toggles the display of the status bar at the bottom of the main window.
  • Show Category List F7 toggles the display of the category list at the left of the main window.
  • Icons on Tabs toggles the display of the graphic icons on the tabs at the top of the information pane.
  • Auto Shutdown
    • Disabled tells µTorrent not to perform any of the following actions. Note that besides this option, all options in this submenu get disabled after they have occurred.
    • Quit when Downloads Complete exits µTorrent when all currently downloading torrent jobs reach 100% download completion.
    • Quit when Everything Completes exits µTorrent when all currently active torrent jobs are completed.
    • Hibernate when Downloads Complete puts the computer into hibernation mode when all currently downloading torrent jobs reach 100% download completion.
    • Hibernate when Everything Completes puts the computer into hibernation mode when all currently active torrent jobs are completed.
    • Standby when Downloads Complete puts the computer into standby mode when all currently downloading torrent jobs reach 100% download completion.
    • Standby when Everything Completes puts the computer into standby mode when all currently active torrent jobs are completed.
    • Reboot when Downloads Complete restarts the computer when all currently downloading torrent jobs reach 100% download completion.
    • Reboot when Everything Completes restarts the computer when all currently active torrent jobs are completed.
    • Shutdown when Downloads Complete shuts the computer down when all currently downloading torrent jobs reach 100% download completion.
    • Shutdown when Everything Completes shuts the computer down when all currently active torrent jobs are completed.

Help

  • µTorrent Help F1 opens the FAQ in your default browser.
  • µTorrent Webpage opens the µTorrent webpage in your default browser.
  • Check for Updates manually tells µTorrent to check for a newer stable build from the µTorrent servers. µTorrent will continue to check for newer versions once every 24 hours after this is selected if you have enabled the option to check for updates automatically.
  • Download Translation tells µTorrent to download the latest translation file and place it in the settings directory.
  • Show Statistics... opens a dialog displaying basic statistics that µTorrent has collected.
  • About µTorrent... opens the About dialog, which displays the credits, version, and build number, among other things...


Main Window: Toolbar

  • Previous
  • Next
µTorrent User Manual > Appendix A: The µTorrent Interface > Main Window

Toolbar

The buttons on the toolbar at the top of the µTorrent interface allows you perform some basic functions, most of which apply to the currently selected torrent(s). The order of the list here reflects the order of the buttons in the toolbar. If you are unsure, you can place your mouse cursor over a button, and a tooltip should pop up providing the description of the button. The toolbar's visibility can be toggled by selecting "Options" then "Show Toolbar" in the main menus, or by pressing F4 on the keyboard.

  • Add Torrent prompts you for the location of the .torrent file that you are trying to open on disk. If you set a default download location, the torrent job will automatically be added to the torrent jobs list and started (if you did not set µTorrent to start torrent jobs in stopped mode). If you did not set a default download location, you will be prompted where you would like to save the torrent contents, with the Add New Torrent dialog being shown by default.
  • Add Torrent from URL allows you to open a .torrent file directly from URL without having saved the it to your hard disk. Depending on the method used by the website for authenticating users (if any), the URL may have to be entered in a specific format.
  • Create New Torrent lets you create .torrent files that you can use to share your data with other people.
  • Remove will remove the selected torrent job(s) using the default action when left-clicked. This default action an be set by right-clicking the button, holding Shift, and left-clicking one of the four possible options. Left-click on an option without holding Shift will actually perform the option on the selected torrent job(s).
    • Remove removes the selected torrent job(s) from the list.
    • Delete .torrent removes the selected torrent job(s) from the list and the corresponding .torrent file(s) from where the storage location on disk.
    • Delete .torrent + Data removes the selected torrent job(s) from the list, the corresponding .torrent file(s) from the storage location on disk, and all content downloaded from the torrent job(s).
    • Delete Data removes the selected torrent job(s) from the list and all content downloaded from the torrent job(s).
    • Move to trash if possible tells µTorrent to attempt to move any deleted file to the Recycle Bin first rather than deleting it immediately off the disk. This works only if the Recycle Bin has enough space allocated.
  • Start will start the selected torrent job(s), or add it onto the queue if the number of active torrent jobs has reached the maximum set in the Preferences.
  • Pause will pause the selected torrent job(s), but won't actually stop it. This tells µTorrent to attempt to retain connections to peers without having to re-establish them like starting stopped torrent jobs would require. It is useful for when you need quick access to bandwidth. Realize that while µTorrent won't drop the connections on its own accord, the connection can still get dropped by the client on the other end of the connection.
  • Stop will stop the selected torrent job(s). All connections with peers are dropped.
  • Move Up will decrease the selected torrent's queue number, thus bringing it closer to the top of the queue (meaning it will become active sooner than those with higher queue numbers). Holding Shift while pressing this button will move the selected torrent job to the top of the queue. Note that this button will not visually move the torrent job up the list unless you sort the list by the "#" column. Pressing Ctrl+Alt+Up on the keyboard is equivalent to pressing this button when a torrent job is selected in the torrent jobs list.
  • Move Down will increase the selected torrent's queue number, thus bringing it further from the top of the queue (meaning it will become active later than those with lower queue numbers). Holding Shift while pressing this button will move the selected torrent job to the bottom of the queue. Note that this button will not visually move the torrent job down the list unless you sort the list by the "#" column. Pressing Ctrl+Alt+Down on the keyboard is equivalent to pressing this button when a torrent job is selected in the torrent jobs list.
  • RSS Downloader opens up the RSS Downloader dialog, where you can configure µTorrent's RSS settings.
  • Preferences opens up the Preferences dialog, where you can configure most of µTorrent's options.
  • The Search button displays a popup menu that allows you to select the search engine you wish to use. The search engines can be configured in the preferences. To search, type your query into the given field, and press Enter on the keyboard. Note that the search button and search field will be hidden if the search engine list is empty.


Main Window: Category List

  • Previous
  • Next
µTorrent User Manual > Appendix A: The µTorrent Interface > Main Window

Category List

The category list allows you to filter the torrent jobs displayed in the torrent jobs list. The category list's visibility can be toggled by selecting "Options" then "Show Category List" in the main menus, or by pressing F7 on the keyboard. The last selected category before µTorrent is exited will be automatically selected on the next start. Numbers in the parentheses next to the category name indicate the number of torrent jobs there are listed under the respective category. The list is composed of the following default categories:

  • All applies no filters on the torrent jobs list, so any (and all) torrent jobs on the list will be displayed.
  • Downloading only shows torrent jobs that are not finished or completed.
  • Completed displays all torrent jobs that have finished downloading.
  • Active only shows torrent jobs that are actively being transferred, whether it is downloading or seeding. Torrent jobs must be transferring (be it upload, or download) at rates greater than 1 KiB/s to be considered active.
  • Inactive only shows torrent jobs that are not being actively transferred. This includes all torrent jobs that are stopped, waiting in the queue, or are started, but not transferring (be it upload, or download).
  • No Label will display all torrent jobs that have no labels set.

Any extra "categories" appearing in the category list that you do not see listed here are a result of custom labels given to your torrent jobs. Torrent jobs with labels will be displayed under their corresponding label. Persistent labels are listed before non-persistent (temporary) labels. A temporary label is removed from the category list as soon as there are no torrent jobs using it.

Not all categories are mutually exclusive, so if you have a torrent job that has no labels, and is inactive, it will show up in both the "Inactive" category, and the "No Label" category. Multiple categories can be selected by holding Shift or Ctrl while left-clicking on a category. Holding Shift will select all categories in between the first selected category and the last selected one. Holding Ctrl allows you to select (or deselect) specific categories that aren't necessarily adjacent to each other.

When multiple categories are selected, µTorrent will filter the torrent jobs list depending on which categories are selected simultaneously. The "Downloading" and "Completed" categories are complementary in that selecting both simultaneously will show all torrent jobs that are either downloading or completed, essentially combining the list of torrent jobs that fall under either category. The "Active" and "Inactive" categories share the same relationship with each other. Too, selecting any combination of labels will combine their respective torrent jobs list.

When non-complementary categories and/or labels are selected, µTorrent filters the torrent jobs list in a different way. Instead of listing torrent jobs that fall under either non-complementary category, µTorrent lists only those torrent jobs that fall under both categories. As an example, if you have 20 completed torrent jobs, 5 of which are still actively uploading, then selecting both the "Completed" and "Active" categories will display those 5 torrent jobs in the torrent jobs list. If 3 of those 5 actively seeding torrent jobs have no labels, then selecting the "No Label" category along with the "Completed" and "Active" will result in only those 3 torrent jobs that match the selected filters being shown in the torrent jobs list.


Main Window: Torrent Jobs List

  • Previous
  • Next
µTorrent User Manual > Appendix A: The µTorrent Interface > Main Window

Torrent Jobs List

The torrent jobs list is the main interface item in µTorrent. It is where your torrent jobs are displayed, along with plenty of information for each of them. Sorting by more than one column is possible in this list. You can do so by sorting by one column, then hold Shift on your keyboard while selecting the secondary column by which µTorrent should sort the list by. The following is a description of each column:

  • Name displays the name of the torrent job. The initial name used for each torrent job is the name of the file being transferred (if the torrent contents consist of a single file), or the directory being transferred (if the torrent contents consist of multiple files). A torrent job can be renamed in the list by slow double-clicking on the torrent job, or by pressing F2 on the keyboard while the torrent job is selected. To cancel the renaming, you should press Esc on the keyboard. Renaming the torrent job will not rename the file or directory being transferred.
    • means the torrent job is downloading without issue
    • means the torrent job is a queued download
    • means the torrent job is downloading, but there is a tracker error
    • means the torrent job is seeding without issue
    • means the torrent job is a queued seed
    • means the torrent job is seeding, but there is a tracker error
    • means the torrent job is paused
    • means the torrent job is stopped, but hasn't finished downloading
    • means the torrent job is stopped, and has finished downloading
    • means the torrent job has a critical error (check the Status column)
  • # displays the torrent job's place in the download queue. When a torrent job stops or finishes, the next lowest numbered torrent job that is queued for download will start automatically. Torrent jobs that have not reached the seeding goal will have a * (asterisk) instead of an integer. Torrent jobs that have reached the seeding goal will have a blank in this column. Forced torrent jobs do not follow the queue order, although they will be assigned queue numbers like regular torrent jobs. Note that if you want the arrow buttons to move the torrent jobs up and down in the list visually, you must sort the torrent jobs list by this column.
  • Size shows the complete size of the torrent contents, regardless of whether you are using selective file downloading on that torrent job or not.
  • Completed displays the total amount of data you have downloaded that passed the hash checks and have been written to disk.
  • Downloaded displays the total amount of data you have downloaded, including those that were wasted or failed the hash checks.
  • Remaining displays the amount of data left for µTorrent to download before it finishes downloading the torrent job. Note that this column takes selective file downloading into account, so only the data you select to be downloaded will be counted.
  • Done displays the approximate percent of the torrent job that µTorrent has completed, based on the number in the Completed column. Selective file downloading is taken into account, so only the data you select to be downloaded will be counted. Incomplete pieces are also included in this calculation.
  • Status displays the current status of the torrent job. If an error occurs on this torrent job, depending on the error, it might be displayed on this column. Otherwise, the following are normally displayed:
    • Downloading means the torrent job is currently downloading.
    • Queued Download means the torrent job is waiting for another torrent job to finish downloading before starting.
    • Seeding means the torrent job is finished downloading, and is currently in seeding mode.
    • Initial-Seeding means the torrent job is being seeded in Initial Seeding mode.
    • Queued Seed means the torrent job is waiting for another torrent job to finish seeding before starting.
    • [F] Downloading means the torrent job is forced started and downloading, so it is outside of the queue order.
    • [F] Seeding means the torrent job is forced started and seeding, so it is outside of the queue order. Forced seeding torrent jobs do not obey seeding goals.
    • [F] Initial-Seeding means the torrent job is forced started and seeding in Initial Seeding mode, so it is outside of the queue order. Forced initial-seeding torrent jobs do not obey seeding goals.
    • Paused means the torrent job is paused, but not stopped (still connected to peers).
    • Stopped means the torrent job is stopped (not transferring, and not connected to any peers).
    • Finished means the torrent job has been stopped after it reached seeding mode. If the torrent job reaches this without user intervention, then it means it reached the seeding goal.
  • Seeds displays the number of seeds you are connected to, and the number of seeds in the swarm within the parentheses. The number of seeds in the swarm is an estimate based on the number of seeds µTorrent has encountered within its peer cache. If the torrent job is stopped, and bt.scrape_stopped is enabled, µTorrent will show the number of seeds in the swarm as collected from the tracker.
  • Peers displays the number of peers you are connected to, and the number of peers in the swarm within the parentheses. The number of peers in the swarm is an estimate based on the number of peers µTorrent has encountered within its peer cache. If the torrent job is stopped, and bt.scrape_stopped is enabled, µTorrent will show the number of peers in the swarm as collected from the tracker.
  • Down Speed displays the current speed at which data is being downloaded for the individual torrent job.
  • Up Speed displays the current speed at which data is being uploaded for the individual torrent job.
  • ETA displays the estimated amount of time needed for µTorrent to finish downloading the torrent job. If the torrent job is in seeding mode, then the ETA displays the estimated time it will take for µTorrent to reach the seeding goal. If the torrent job is stopped or has reached its seeding goal ∞ will be displayed. Note that this column takes selective file downloading into account, so only the data you select to be downloaded will be counted.
  • Uploaded displays the total amount of data you have uploaded.
  • Ratio displays the ratio of uploaded data to downloaded data. You can calculate it by dividing the number under the Uploaded column by the number under the Downloaded column. If the torrent job was added when the file was already complete (seeding the file upon adding), then the ratio will start from 0, and will be calculated based on the ratio of the uploaded data to the torrent content size.
  • Availability displays the number of copies of the torrent contents that are distributed in the swarm.
  • Label displays the label set for the torrent job. Right-clicking a torrent job on this column will bring up the Label context sub-menu.
  • Added On displays the date and time that the torrent job was added to the torrent jobs list.
  • Completed On displays the date and time that the torrent job finished downloading. If the torrent job has yet to be completed, this column will be blank.
  • Tracker displays the first tracker's base URL.
  • Max Up displays the maximum upload rate limit set on the individual torrent job. If no limit is set, it will be blank. Right-clicking a torrent job on this column will bring up the Set Upload Limit context sub-menu.
  • Max Down displays the maximum download rate limit set on the individual torrent job. If no limit is set, it will be blank. Right-clicking a torrent job on this column will bring up the Set Download Limit context sub-menu.
  • Bandwidth Allocation displays the bandwidth allocation given to the torrent job (High, Normal, or Low).
  • Tracker Status displays the tracker's status.
  • Debug displays information that might be useful in debugging problems.

Context Menu

If you right-click on a torrent job, you'll see a context menu. They are described in the following list:

  • Open will attempt to open the torrent contents for the selected torrent job(s) with the associated application for the file type. This will only work for single-file torrent jobs.
  • Open Containing Folder... opens the directory containing the torrent contents in an Explorer window. If the torrent job contents consist of a single file, that file will be highlighted. Otherwise, the torrent job's directory will be displayed instead.
  • Force Start takes the selected torrent job(s) out of queue order (makes it ignore queueing) and forces it to start immediately, even if the maximum number of active torrent jobs and/or downloads has been reached. Forced torrent jobs will not stop even if they reach the seeding goals.
  • Start will start the selected torrent job(s), or add it onto the queue if the number of active torrent jobs has reached the maximum set in the Preferences.
  • Pause will pause the selected torrent job(s), but won't actually stop it. This tells µTorrent to attempt to retain connections to peers without having to re-establish them like starting stopped torrent jobs would require. It is useful for when you need quick access to bandwidth. Realize that while µTorrent won't drop the connections on its own accord, the connection can still get dropped by the client on the other end of the connection.
  • Stop will stop the selected torrent job(s). All connections with peers are dropped.
  • Move Up will decrease the selected torrent's queue number, thus bringing it closer to the top of the queue (meaning it will become active sooner than those with higher queue numbers). Holding Shift while pressing this button will move the selected torrent job to the top of the queue. Note that this button will not visually move the torrent job up the list unless you sort the list by the "#" column. Pressing Ctrl+Alt+Up on the keyboard is equivalent to selecting this item when the torrent job is selected.
  • Move Down will increase the selected torrent's queue number, thus bringing it further from the top of the queue (meaning it will become active later than those with lower queue numbers). Holding Shift while pressing this button will move the selected torrent job to the bottom of the queue. Note that this button will not visually move the torrent job down the list unless you sort the list by the "#" column. Pressing Ctrl+Alt+Down on the keyboard is equivalent to selecting this item when the torrent job is selected.
  • Label allows you to set the label for any selected torrent job. All persistent labels will be listed at the top of this submenu, and any temporary label will be displayed below the persistent label(s).
    • New Label... will display a dialog asking you to enter the name of a new (temporary) label.
    • Remove Label will unset the label currently placed on the selected torrent job(s).
  • Bandwidth Allocation is an option that makes µTorrent allocate upload bandwidth to the selected torrent job(s) based on the option selected. This option works only if a global maximum upload rate is set, or the selected torrent job(s) each have an individual maximum upload rate set.
    • High will give the selected torrent job(s) more upload bandwidth relative to other torrent jobs of lower bandwidth allocation levels (Low or Normal).
    • Normal is the default bandwidth allocation given.
    • Low will give the selected torrent job(s) less upload bandwidth relative to other torrent jobs of higher bandwidth allocation levels (Normal or High).
    • Set Download Limit allows you to control the maximum download rate for the selected torrent job(s). The values displayed depend on your settings in the preferences. If the speed popup list is not manually overridden, then the maximum value available for selection will depend on the global maximum download limit.
    • Set Upload Limit allows you to control the maximum upload rate for the selected torrent job(s). The values displayed depend on your settings in the preferences. If the speed popup list is not manually overridden, then the maximum value available for selection will depend on the global maximum upload limit.
  • Remove removes the selected torrent job(s) from the list, but all related files are left intact on the disk.
  • Remove And
    • Delete .torrent removes the selected torrent job(s) from the list and the corresponding .torrent file(s) from the .torrent file storage location.
    • Delete .torrent + Data removes the selected torrent job(s) from the list, the corresponding .torrent file(s) from the .torrent file storage location, and all content downloaded from the torrent job(s). This action can also be performed by pressing Shift+Delete on the keyboard.
    • Delete Data removes the selected torrent job(s) from the list and all content downloaded from the torrent job(s).
  • Force Re-Check tells µTorrent to check the torrent contents of the selected torrent job(s) for missing files and pieces that fail the hash check. Even if multiple torrent jobs are selected to be re-checked, µTorrent will check them sequentially, one at a time (known as a round-robin method). Pausing a torrent job while it is being re-checked will pause the re-checking process for that torrent job, and will move onto the next torrent job to re-check if multiple torrent jobs are selected. Any incomplete pieces in the torrent contents will be removed during the re-checking process, so a drop in progress percentage would not be an unlikely occurrence.
  • Advanced
    • Reset Bans allows you to clear any bans µTorrent has placed on peers in the selected torrent job(s) for sending too many hashfailed pieces.
    • Clear Peer List allows you to clear all peers from the peer list for the selected torrent job(s).
    • Set Download Location... lets you set the location of the contents for the particular torrent if they are ever moved after the torrent job is added. The next time the torrent job is started, it will be hash checked to verify the data integrity.
    • Show Download Bar displays a floating download bar that shows quick statistics for the selected torrent job(s). The download bars are separate from the µTorrent interface, so they can be displayed while the main window is minimized or closed to tray.
  • Update Tracker allows you to perform a manual announce on the selected torrent job(s). Do not use this feature repeatedly in hopes that you might connect to peers more quickly, as it won't do that for you. Additionally (and more importantly), by hammering the tracker, you're increasing the chance that the tracker might fail due to hammering, which only makes it worse for you in the end. In short, do not abuse this feature.
  • Properties... opens up the Torrent Properties dialog, where you can modify several of the torrent job's settings.


Main Window: Detailed Info Pane

  • Previous
  • Next
µTorrent User Manual > Appendix A: The µTorrent Interface > Main Window

Detailed Info Pane

The detailed info pane allows you to view detailed information about the selected torrent job that isn't available in the torrent job list itself. There are several tabs, each of which contain different types of information. The detailed info pane's visibility can be toggled by selecting "Options" then "Show Detailed Info" in the main menus, or by pressing F5 on the keyboard. The last selected tab before µTorrent is exited will be automatically selected on the next start.

  • General
  • Peers
  • Pieces
  • Files
  • Speed
  • Logger


Main Window: Detailed Info Pane > General

  • Previous
  • Next
µTorrent User Manual > Appendix A: The µTorrent Interface > Main Window > Detailed Info Pane

General

The General tab is where you'll find most of the general statistics for the currently selected torrent job available through µTorrent.

Graphical Progress Bars

  • The upper Downloaded bar is the general progress bar useful for getting a quick visual outlook of the percent completed. Selective file downloading is taken into account, so only the data you select to be downloaded will be counted. The number to the right of the Downloaded bar is the percentage of the torrent job that is completed, taking selective file downloading into account as well.
    • White represents what has not yet been downloaded.
    • Blue represents what has been downloaded.
  • The lower Downloaded bar is equivalent to the upper bar, except that it does not take selective file downloading into account, and it also displays the distribution of pieces completed in your torrent job. If there are more pieces in the .torrent file than there are horizontal pixels for your desktop resolution, µTorrent will take the average completion of adjacent pieces to decide what colors should be shown.
    • White represents the pieces that have not yet been downloaded.
    • Blue represents the pieces that have been downloaded.
  • The Availability bar shows the spread of the pieces in the network of peers you are connected to. If there are more pieces in the .torrent file than there are horizontal pixels for your desktop resolution, µTorrent will take the average completion of adjacent pieces to decide what colors should be shown. The number to the right is the actual availability of the selected torrent job.
    • Dark blue means the piece is available and common.
    • Light blue means the piece is available, but rare.
    • Red means the piece is not available within the group of peers you are connected to.

Along with graphical progress bars, textual statistics are provided below. Any of these fields can be copied by right-clicking it and selecting "Copy". The following is a description of the information displayed (note that most of the information displayed here can be found in the torrent jobs list):

Transfer

  • Time Elapsed displays the total amount of time accumulated that the torrent job has been started.
  • Remaining displays the estimated amount of time needed for µTorrent to finish downloading the torrent job. If the torrent job is in seeding mode, then the ETA displays the estimated time it will take for µTorrent to reach the seeding goal. If the torrent job is stopped or has reached its seeding goal ∞ will be displayed. Note that this field takes selective file downloading into account, so only the data you select to be downloaded will be counted.
  • Share Ratio displays the ratio of uploaded data to downloaded data. You can calculate it by dividing the number beside the Uploaded field by the number beside the Download field. If the torrent job was added when the file was already complete (seeding the file upon adding), then the ratio will start from 0, and will be calculated based on the ratio of the uploaded data to the torrent content size.
  • Downloaded displays the total amount of data you have downloaded, including those that were wasted or failed the hash check.
  • Download Speed displays the current speed at which data is being downloaded for the individual torrent job. The number in the parentheses is the average download speed throughout the time that the torrent job was in Downloading mode.
  • Down Limit displays the maximum download rate limit set on the individual torrent job. If no limit is set, this field will be blank.
  • Uploaded displays the total amount of data you have uploaded since the torrent job was added.
  • Upload Speed displays the current speed at which data is being uploaded for the individual torrent job. The number in the parentheses is the average upload speed throughout the time that the torrent job was started.
  • Up Limit displays the maximum upload rate limit set on the individual torrent job. If no limit is set, this field will be blank.
  • Seeds displays the number of seeds you are connected to. The second number is the number of known seeds in the peer cache collected from the tracker, DHT, and PEX. The number in the parentheses is the number of seeds reported by the tracker scrape.
  • Peers displays the number of peers you are connected to. The second number is the number of known peers in the peer cache collected from the tracker, DHT, and PEX. The number in the parentheses is the number of peers reported by the tracker scrape.
  • Wasted displays the amount of data that was downloaded and deleted, either from hashfails, or from redundant data. The number in the parentheses is the count for the number of hashfails that occurred.
  • Web Seeds shows a comma-separated list of all web seeds specified in the selected torrent job.

Tracker

  • Tracker URL cycles through all the available tracker URLs specified in the selected torrent job. gui.update_rate controls the cycling rate.
  • Tracker Status cycles through the statuses of each tracker in the selected torrent job, synchronized with the tracker displayed next to "Tracker URL". Tracker warning messages can be displayed here, if supported and sent by the tracker, which inidicate a possible (though non-critical) error.
  • Update In displays the next time the currently-displayed tracker will be polled for torrent information.
  • DHT Status displays the next time the DHT network will be polled for peers. The number in the parentheses displays the number of peers received for the selected torrent from DHT. If DHT is disabled, this field will be blank. If the .torrent file has the 'private' flag set, not allowed will be displayed.

General

  • Save As shows the location that the torrent contents are saved to on the disk.
  • Total Size shows the total size of the torrent contents. The first number displays the total amount of data in the torrent contents, taking selective file downloading into account. The second number is the total amount of data you have downloaded that passed the hash checks and have been written to disk. If there is a third number here, then it's because you are using selective file downloading. That third number displays the total size of the torrent contents, not taking selective file downloading into account.
  • Pieces shows the number of pieces in the torrent job, and the size of each of these pieces. The number in the parentheses indicates the number of pieces µTorrent has successfully acquired.
  • Created On shows the date and time that the .torrent file was created along with the application that was used to create the .torrent file (if it can be determined).
  • Hash shows the .torrent file's infohash.
  • Comment shows the comment placed in the .torrent file by the .torrent file's creator.


Main Window: Detailed Info Pane > Peers

  • Previous
  • Next
µTorrent User Manual > Appendix A: The µTorrent Interface > Main Window > Detailed Info Pane

Peers

The Peers tab is where you'll find information about all the peers you are currently connected to on the selected torrent. The following is a description of each column:

  • IP displays the peer's IP address and the flag of the country they're from. If Resolve IPs is enabled, the country flag and hostname will be displayed instead.
  • Port displays the listening port that the peer is using.
  • Client displays the BitTorrent client that the peer reports it is using. If µTorrent suspects the client of spoofing (faking) its client ID, it will note it as such.
  • Flags displays various letters, each carrying a special meaning about the state of the connection:
    • ?: your client unchoked the peer but the peer is not interested
    • D: currently downloading from the peer (interested and not choked)
    • d: your client wants to download, but peer doesn't want to send (interested and choked)
    • E: peer is using Protocol Encryption (all traffic)
    • e: peer is using Protocol Encryption (handshake)
    • H: peer was obtained through DHT.
    • I: peer established an incoming connection
    • K: peer unchoked your client, but your client is not interested
    • L: peer has been or discovered via Local Peer Discovery
    • O: optimistic unchoke
    • S: peer is snubbed
    • U: currently uploading to the peer (interested and not choked)
    • u: the peer wants your client to upload, but your client doesn't want to (interested and choked)
    • X: peer was included in peer lists obtained through Peer Exchange (PEX)
  • % displays the approximate percent of the torrent job the peer has completed.
  • Relevance is the percent of the torrent contents that the peer has that you currently do not have.
  • Down Speed is the averaged speed at which you are downloading data from the peer.
  • Up Speed is the averaged speed at which you are uploading data to the peer.
  • Reqs displays the number of 16 KiB block requests you've made to the peer on the left side, and the number of 16 KiB requests they've made to you on the right side.
  • Waited displays the number of seconds since the last request was made to this peer.
  • Uploaded is the amount of data you have uploaded to the peer since the torrent job was added.
  • Downloaded is the amount of data you have downloaded from the peer since the torrent job was added.
  • Hasherr is the number of pieces this peer sent to you that failed the hash check.
  • Peer Download Rate is an estimated rate at which the peer is downloading based on the peer's reported change in pieces obtained. This estimation is very crude and is most likely inaccurate, so it should only be lightly relied upon.
  • MaxUp is the peak, unaveraged speed at which you were uploading to the peer. This value is displayed in bytes per second.
  • MaxDown is the peak, unaveraged speed at which you were downloading from the peer. This value is displayed in bytes per second.
  • Queued displays the number of bytes requested by a peer that was left unsent by your client.
  • Inactive displays the number of seconds since the last non-keepalive message was sent with this peer.
  • Debug displays information that might be useful in debugging problems.

Context Menu

  • Add Peer... allows you to add a peer manually if you know the peer's IP address and port. µTorrent will attempt to connect to the newly-added peer as soon as possible. Only one peer can be added at a time, in the following format: IP:port
  • Copy Peer List will copy the IP addresses and the ports of every peer it has in its peer cache to the clipboard, one IP:port pair per line.
  • Copy Selected Hosts will copy the IP addresses and the ports of each selected peer, one IP:port pair per line.
  • Log Traffic to Logger Tab tells µTorrent to log connection details from the torrent job to the Logger tab.
  • Reload IPFilter forces µTorrent to reload ipfilter.dat. This option is disabled when ipfilter.enable is disabled.
  • Resolve IPs tells µTorrent to convert the IP addresses into hostnames. This option must be enabled in order for flags to be displayed next to the peer.


Main Window: Detailed Info Pane > Pieces

  • Previous
  • Next
µTorrent User Manual > Appendix A: The µTorrent Interface > Main Window > Detailed Info Pane

Pieces

The Pieces tab displays each piece currently being downloaded by µTorrent. The following is a description of each column:

  • # is the piece's number in the .torrent file.
  • Size is the size of the piece.
  • # of Blocks is the number of 16 KiB blocks that compose that single piece.
  • Blocks is the graphical progress bar for the piece. You'll notice that there are different colors displayed for different blocks. They are as follows:
    • Dark blue means the data has been downloaded and written to disk.
    • Medium blue means the data has been downloaded, but remains in the cache in memory, unwritten to disk.
    • Light blue means the data has been requested from a single peer.
    • Green means the data has been requested from multiple peers. Blocks only turn green during endgame mode.
  • Completed is the number of blocks completed in the piece.
  • Availability is the number of times this piece is seen completed within the group of peers you are currently connected to.
  • Priority shows the priority µTorrent has assigned the piece based on the priority of the file(s) it belongs to. If the piece belongs to multiple files, then it is assigned the highest priority of the files it belongs to. If bt.prio_first_last_piece is enabled and the piece's priority is not skipped, the piece's priority gets elevated by one priority level.
  • Mode is the general evaluation of the speed at which the piece is being transferred by the peer. A piece's mode can be either fast, medium, or slow. µTorrent uses this evaluation to determine whether a piece should be taken from fast peers or slow seeds. This is meant to try to prevent situations where a slow seed sends the same piece as a fast peer. Instead of allowing that to happen, µTorrent attempts to have the slower seed send another piece, possibly something that might be rarer in the swarm.


Main Window: Detailed Info Pane > Files

  • Previous
  • Next
µTorrent User Manual > Appendix A: The µTorrent Interface > Main Window > Detailed Info Pane

Files

The Files tab allows you to view what files are included in the torrent, as well as provide the ability to control what files are downloaded. Double-clicking on any file will open it as if it were opened from Explorer (meaning that µTorrent will attempt to open the file in the associated application for the file type).

  • Name is the name of the file.
  • Size shows the size of the file.
  • Done displays the total amount of data you have downloaded for that file that passed the hash checks.
  • % is the approximate percent of the file that µTorrent has completed. This number is calculated with complete pieces only, so it will not increase until another piece of the file has finished downloading.
  • First Piece is the number of the first piece in the .torrent file that contains data for the file.
  • # Pieces is the number of pieces that comprise the file.
  • Pieces is the graphical progress bar for the file.
    • Blue means the data has been written to disk.
    • Green means the data is still unwritten to disk.
    • Red means the data is is not available in the swarm.
  • Priority displays the priority given to the file.
    • high means µTorrent will attempt to complete the file more aggressively relative to other files of lower priorities (low or normal). If there is an opportunity for this file to become more complete, µTorrent will take it. Note that this does not guarantee the completion of the file, or that the file will complete before other files of lower priorities.
    • normal is the default priority given.
    • low means µTorrent will attempt to complete the file less aggressively relative to other files of higher priorities (normal or high). If there is an opportunity for another file of higher priority to become more complete, µTorrent will take it over downloading for this file. Note that this does not guarantee that the file will complete after other files of lower priorities.
    • skip means the file will not be downloaded. Do note that some files share pieces with other files. As such, you might notice that a part of a skipped file (or possibly an entire file, if it is smaller than the piece size) is downloaded. Understand that this does not mean µTorrent has ignored your request to not download the file.
  • Mode displays how µTorrent is using the file. Write mode means the file is being actively written to. Read mode means the file is not being actively written to.

Context Menu

  • Open will attempt to open the selected file as if it were opened from Explorer.
  • High Priority will set the file's priority to high.
  • Normal Priority will set the file's priority to normal.
  • Low Priority will set the file's priority to low.
  • Don't Download will set the file's priority to skip.


Main Window: Detailed Info Pane > Speed

  • Previous
  • Next
µTorrent User Manual > Appendix A: The µTorrent Interface > Main Window > Detailed Info Pane

Speed

The Speed tab displays graphs of the the global upload and download speeds, as well as some basic statistics about disk I/O and cache usage.

  • The Show dropdown menu allows you to select the type of graph you'd like to be displayed in the blue area.
    • Upload & Download shows a graph of both the current global upload and global download speeds simultaneously.
      • The solid red-colored line represents the current global upload speed.
      • The light red-colored line represents the global upload speed limit. If no limit is set for the global upload rate, this line will be hidden.
      • The solid green-colored line represents the current global download speed.
      • The light green-colored line represents the global download speed limit. If no limit is set for the global download rate, this line will be hidden.
      • The fuschia-colored line represents the current global upload speed going toward local peers.
      • The cyan-colored line represents the current global download speed coming from local peers.
    • Download shows a graph of the current global download speed.
      • The solid green-colored line represents the current global download speed.
      • The light green-colored line represents the global download speed limit. If no limit is set for the global download rate, this line will be hidden.
      • The cyan-colored line represents the current global download speed coming from local peers.
    • Upload shows a graph of the current global upload speed.
      • The solid red-colored line represents the current global upload speed.
      • The light red-colored line represents the global upload speed limit. If no limit is set for the global upload rate, this line will be hidden.
      • The fuschia-colored line represents the current global upload speed going toward local peers.
    • Disk Statistics displays several graphs pertaining to disk and cache access. In each of these graphs, the lighter lines represent the graphs for writes or reads (depending on which graph you're looking at) to and from the cache. Their darker counterparts represent the writes and reads to and from the disk. Textual statistics pertaining to disk and cache access collected for the current session are shown to the left of the graphs. The "Reset" button below resets the collected statistics.
  • The Resolution dropdown menu allows you to select the interval for the time unit used for the X-axis of each graph. The Y-axis values are average over this time resolution.


Main Window: Detailed Info Pane > Logger

  • Previous
  • Next
µTorrent User Manual > Appendix A: The µTorrent Interface > Main Window > Detailed Info Pane

Logger

The Logger tab displays logged information regarding certain events in µTorrent. Information displayed mostly serve debug purposes, and can be useful when trying to solve problems. Information displayed can be selected, and selected lines can be copied by pressing Ctrl+C on the keyboard. You can access some options for controlling the Logger tab by right-clicking anywhere on the white area in the tab. You'll be presented with the following items in the context menu:

  • Log Peer Traffic toggles the logging of peer traffic.
  • Log Errors toggles the logging of error events in peer traffic.
  • Verbose toggles verbose logging. When enabled, µTorrent provides more detailed information than when left unchecked.
  • Log to file... allows you to save log information to a file on disk. A full path should be specified, otherwise the log's location will be saved to the current working directory, which can vary depending on how you opened µTorrent. In order to log to disk successfully, you must first select this menu item and specify the filename for the log. µTorrent will start the log on disk from that time forward. When you wish to stop logging, select this menu item again and leave the field blank, and press OK (unless you wish to save to start writing to a new file in serial). No logger information will be written to the log file until the logging to disk is stopped.
  • Dump DHT Buckets, Dump DHT Tracked, and Dump Memory Info dump advanced debug information into the Logger.
  • Clear Log does just that -- it clears the contents of the Logger tab.


Main Window: Status Bar

  • Previous
  • Next
µTorrent User Manual > Appendix A: The µTorrent Interface > Main Window

Status Bar

The status bar shows general information and statistics about µTorrent. Its visibility can can toggled by selecting "Options" then "Show Status Bar" in the main menus, or by pressing F6 on the keyboard. The leftmost section of the status bar is an empty slot that resizes along with the window's width, so the following descriptions start from the second item from the left and moves rightward.

  • The Notification section displays messages in µTorrent about the status of the torrent jobs. If there are no issues, this section will remain blank.
    • Disk Overloaded means that the disk was not able to keep up with the read/write speed. If this happens when you first add a torrent job, it's normal, and will disappear after several minutes.
    • Download Limited means µTorrent is limiting your download speed to 6 times your upload limit because it is set to 5 KiB/s or below.
    • Limited by scheduler means the download and/or upload rates are following the scheduler rate limits for the hour.
    • Stopped by scheduler means all unforced torrent jobs are stopped to observe the scheduler rules for the hour.
    • Seeding only means any unforced torrent job that is not seeding are stopped to follow the scheduler rules for the hour.
  • The DHT Status section displays the current status of DHT.
    • DHT: Disabled means you have disabled DHT, so µTorrent isn't connected to the DHT network.
    • DHT: X nodes (where X is an integer) means DHT is enabled, and µTorrent is directly connected to X other clients on the DHT network. The keyword is "directly," as this number is not an indication of the number of users you are effectively connected to on the DHT network -- that number is much greater.
  • The Network Status section displays an icon to signify your connectability to people outside of your firewall (software and/or hardware). Left-clicking on the icon will open the Speed Guide. Note that the network status light can be blank as well, in which case it simply means that no torrent jobs are started, so µTorrent is unable to check the port status.
    • means everything is fine, and you are receiving incoming connections.
    • means no incoming connections have been received yet. Seeing this icon doesn't automatically mean something is wrong unless it remains yellow for an extended period of time while there are actively transferring torrent jobs. If you're unsure about whether your port is forwarded properly, then the best course of action is to use the port checker in the Speed Guide.
    • means µTorrent wasn't able to use the listening port. Generally, this means a firewall is blocking the port (in which case you should attempt to fix it), but it's also possible that another application is using this port, in which case µTorrent will inform you that there is a listening error.
  • The Download section starts with a "D" and displays download speed related statistics in the following order:
    • The global download rate limit (in square brackets, assuming such a limit is set, and Show speed limits in the status bar is enabled)
    • The total download speed
    • The total local peer download speed (with an "L" preceding the speed, assuming µTorrent is downloading at more than 1 KiB/s from local peers)
    • The total amount of data downloaded this session (with a "T" preceding the amount)
  • The Upload section starts with a "U" and displays upload speed related statistics in the following order:
    • The global upload rate limit (in square brackets, assuming such a limit is set, and Show speed limits in the status bar is enabled)
    • The total upload speed
    • The total local peer upload speed (with an "L" preceding the speed, assuming µTorrent is uploading at more than 1 KiB/s to local peers)
    • The total amount of data uploaded this session (with a "T" preceding the amount)

Context Menu

Depending on where you right-click the status bar, you will get different menus to control µTorrent's behavior.

  • Right-clicking anywhere to the left of the Download section will show a context menu with the following options:
    • Enable Scheduler allows you to enable or disable the scheduler from the without having to set it manually in the preferences.
    • Enable DHT allows you to enable or disable DHT from the without having to set it manually in the preferences.
  • Right-clicking on the Download section will show a context menu that allows you to control the global maximum download limit. The values displayed depend on your settings in the preferences.
  • Right-clicking on the Upload section will show a context menu that allows you to control the global maximum upload limit. The values displayed depend on your settings in the preferences.


Preferences

This section provides descriptions of all options available in the µTorrent Preferences dialog. Nearly all of µTorrent's internal settings can be configured here. To access the Preferences, select "Options" then "Preferences..." in the main menus, or press Ctrl+P on the keyboard. The last selected section before the Preferences dialog is closed will be automatically selected the next time the user enters the Preferences.

  • General
  • Downloads
  • Connection
  • BitTorrent
  • Queueing
  • Scheduler
  • Other
  • Advanced
    • Disk Cache
    • User Interface
    • Web UI


Preferences: General

  • Previous
  • Next
µTorrent User Manual > Appendix A: The µTorrent Interface > Preferences

General

User Interface Settings

  • The Language dropdown menu allows you to select the language for the entire µTorrent interface. In order for this to work, you must have installed the language pack (utorrent.lng) into µTorrent's settings directory, or in the same directory as the µTorrent executable itself.
  • The More... button opens the download page in your web browser, where you'll find the language pack available for download.
  • Check for updates automatically tells µTorrent to connect to the µTorrent servers to check for newer versions upon startup, and for every 24 hours after that that µTorrent remains open.
  • Confirm when deleting torrents displays a dialog asking for confirmation when you try to delete a torrent job from the list.
  • Show confirmation dialog on exit displays a dialog asking for confirmation when you try to exit µTorrent.

System Tray

  • Close to tray will tell µTorrent to close the main window to system tray rather than exit when the close button is used in the window title bar.
  • Always show tray icon will display the tray icon regardless of µTorrent's main window visibility (unless hidden with the boss-key). If disabled, µTorrent will only display the tray icon when it is closed or minimized to system tray.
  • Show balloon notifications in tray will display a bubble tooltip notification in the system tray when certain events occur in µTorrent, such as the download completion of a torrent job, an error, and so on.
  • Minimize to tray will tell µTorrent to minimize the main window to system tray rather than the taskbar.
  • Single click on tray icon to open will make it so that it takes a single left-click on the tray icon to display or hide the main window. If left unchecked, it would require a double-click to achieve the same result.
  • Always activate when clicked will make it so that left-clicking (or double-clicking, depending on whether the single click tray icon option is enabled or disabled) the tray icon will only activate the main window. If left disabled, µTorrent would normally alternate between activating and hiding the window for the same action.

Display Options

  • Alternate list background color will make µTorrent alternate the background color for each item in a listview (be it the torrent jobs list, or one of the listviews in the detailed info pane) between white and gray. If disabled, µTorrent will simply display a white background behind every item in the listview.
  • Show current speed in the title bar displays the total upload and download rates in the title bar of the main window, before "µTorrent".
  • Show graphical progress bar draws a progress bar for each torrent job in the torrent jobs list, behind the completion percentage.
  • Show speed limits in the status bar displays the global rate limit (if set) next to its corresponding value in the status bar.

Windows Integration

  • The Associate with .torrent files button tells Windows to open .torrent files in µTorrent. If maindoc.ico is present in µTorrent's settings directory, it will be used as the icon for .torrent files instead of making Windows attempt to generate an icon automatically.
  • Check association on startup will tell µTorrent to check associations with .torrent files every time it is opened. If this filetype is not associated when µTorrent starts, the user will be prompted for further action.
  • Start µTorrent on system startup will make µTorrent start when Windows starts up.


Preferences: Downloads

  • Previous
  • Next
µTorrent User Manual > Appendix A: The µTorrent Interface > Preferences

Downloads

Location of Downloaded Files

  • Put new downloads in specifies the default location that the contents of newly added torrent jobs will be downloaded to.
  • Always show dialog on manual add tells µTorrent to display the Add New Torrent dialog even if a default download location is. If left unchecked, µTorrent automatically sets the download location to the specified location and adds the torrent job to the torrent jobs list accordingly, without user intervention.
  • Move completed downloads to specifies the location that torrent contents that have finished downloading should be moved to.
    • Only move from the default download directory tells µTorrent to move torrent contents only if it was saved to the directory specified under "Put new downloads in". If that option wasn't set, this option should be left disabled.
    • Append the torrent's label to the directory name will add the torrent job's label to the path that the torrent contents are moved to after they finish downloading.

When Adding Torrents

  • Don't start the download automatically adds manually imported torrent jobs in stopped mode. If this option is enabled, "Start torrent" in the Add New Torrent dialog will be unchecked by default (but can still be enabled). If that dialog is not enabled, torrent jobs will simply be added in stopped mode, and will have to be started manually.
  • Activate the program window will open the µTorrent main window (if hidden, minimized to system tray, or minimized to taskbar). If unchecked, µTorrent will simply display the Add New Torrent dialog.
  • Show a window that displays the files inside the torrent will tell µTorrent to display the Add New Torrent dialog. If unchecked, µTorrent will simply ask where you'd like to save the torrent contents, assuming a default download location is not set.

Other Settings

  • Append .!ut to incomplete files tells µTorrent to append the .!ut extension to any file in the torrent contents that still hasn't finished downloading. Once a file is completed, the extension gets removed from it. Note that the state of this option takes effect immediately after the preferences are saved, regardless of whether torrent jobs are started, stopped, paused, or queued.
  • Prevent standby if there are active torrents is self-explanatory; if there are active torrent jobs, µTorrent will attempt to keep the computer out of standby mode.
  • Pre-allocate all files tells µTorrent to create and fully allocate every file you select to download immediately after starting the torrent job. It cannot be used in conjunction with compact allocation or sparse files. Note that this option does not have an impact on fragmentation of your hard drive, as µTorrent already allocates each file upon writing to disk even without this option.


Preferences: Connection

  • Previous
  • Next
µTorrent User Manual > Appendix A: The µTorrent Interface > Preferences

Connection

Listening Port

  • The Port used for incoming connections field specifies the port that µTorrent should use to listen for incoming connections. This port must be unfirewalled for optimal usage of µTorrent.
  • The Random port button selects a random port between 10000 and 65000 as the listening port.
  • Randomize port each time µTorrent starts makes µTorrent select a random port between 1024 and 5000 to use at startup. Note that this option might conflict with your port forwarding settings, so if you manually open ports in your router and firewall, it's best to leave this option disabled.
  • Enable UPnP port mapping allows µTorrent to communicate with the router to forward a port without your manual intervention. Some devices do not support Universal Plug and Play (UPnP), so you might still have to forward your ports manually. Disable UPnP if that is the case.
  • Enable NAT-PMP port mapping allows µTorrent to attempt to forward a port with routers that support the NAT port mapping protocol (Apple products, for example).
  • Add µTorrent to Windows Firewall exceptions allows µTorrent to add an entry to the Windows Firewall exceptions list that lets it bypass the firewall. This is useful only if you actually have Windows Firewall enabled. Note that this option works only on Windows XP with at least Service Pack 2 (SP2) installed.

Proxy Server

  • The Type dropdown menu specifies the type of proxy you are trying to use. Note that "HTTP" proxies cannot be used for peer-to-peer connections, as the HTTP CONNECT (used for tunneling persistent connections over the proxy) was introduced in HTTP/1.1, and most HTTP proxies still use HTTP/1.0.
  • The Proxy field is where you enter the proxy's URL or IP address.
  • The Port field is where you enter the proxy's port.
  • Checking Authentication indicates that you need to log into the proxy server in order for it to work.
    • The Username field is where you enter the username required to log into the proxy server for authentication.
    • The Password field is where you enter the password required to log into the proxy server for authentication.
  • Use proxy server for peer-to-peer connections forces µTorrent to communicate and transfer data with peers through the proxy. By default, this option is disabled, and µTorrent only uses the proxy to communicate with trackers. Note that peer-to-peer communication cannot be used with HTTP proxies.

Global Bandwidth Limiting

  • Upload
    • Automatic will allow µTorrent to automatically adjust its global maximum upload rate limit based on periodically measured network conditions.
    • The Maximum upload rate field is self-explanatory. It will limit the maximum rate at which µTorrent will upload. Setting the value to 0 is equivalent to setting it to unlimited. Setting the value to anywhere between 1 and 5 will limit your download speed to 6 times the set upload speed, and you will see a "Download Limited" message in the status bar. This value is interpreted in KiB/s, so please enter it as such.
    • The Alternate upload rate when not downloading field allows you to define an alternate upload rate when no torrent job is in downloading mode (only uploading). Other than the context in which it is active, this upload rate limit behaves exactly like the "Maximum upload rate" field. Unless you know what you're doing with this option, do not mess with it, as it might give the impression that µTorrent is not obeying the global maximum upload rate. This value is interpreted in KiB/s, so please enter it as such.
  • Download
    • The Maximum download rate field limist the maximum rate at which µTorrent will download. Setting the value to 0 is equivalent to setting it to unlimited. Note that download rate limiting is very unreliable, so you might see greater fluctuations in download speeds with this option set to anything other than 0, and µTorrent might not be able to limit the speeds to the specified amount either. This value is interpreted in KiB/s, so please enter it as such.


Preferences: BitTorrent

  • Previous
  • Next
µTorrent User Manual > Appendix A: The µTorrent Interface > Preferences

BitTorrent

Number of Connections

  • The Global maximum number of connections field defines the maximum number of connections that µTorrent can make at any given time in all active torrent jobs. Note that Windows 95/98 users should keep the system requirements in mind when setting this option.
  • The Maximum number of connected peers per torrent field defines the maximum number of peers that µTorrent can connect to at any given moment for each torrent job.
  • The Number of upload slots per torrent field defines the maximum number of peers that µTorrent will upload to at any given moment for each torrent job.
  • Use additional upload slots if upload speed < 90% tells µTorrent to open more upload slots if the current total upload speed is less than 90% of the global maximum upload rate.

Additional BitTorrent Features

  • Enable DHT Network enables the Distributed Hash Table (DHT) if checked. You can also do this by right-clicking the DHT status in the main window status bar and selecting the corresponding option.
  • Enable DHT for new torrents tells µTorrent to check for peers from the DHT network on each newly added torrent job. This option only works if DHT is enabled, and if the 'private' flag is not set in the .torrent file.
  • Enable Local Peer Discovery allows µTorrent to attempt to discover local peers via multicast. If a peer is considered local, transfer rates with the peer will not be limited unless Limit local peer bandwidth is also enabled. Local peers will not be added to the peer list for .torrent files with the 'private' flag set.
  • Ask tracker for scrape information tells µTorrent to scrape the tracker (ask for peer and seed counts). By default, the tracker is scraped only when the torrent job is started, but this can be changed.
  • Enable Peer Exchange enables Peer Exchange (PEX) for each newly added torrent job, provided the 'private' flag is not set for that .torrent file.
  • Limit local peer bandwidth: This option decides whether µTorrent should apply the rate limits to peers on the local network. Peers are considered local if they are discovered by Local Peer Discovery, or if they are on the same LAN as the client.
  • The IP/Hostname to report to tracker field allows you to specify your IP address when reporting to the tracker. This is used for the case that your WAN (Internet) IP address is not reported correctly to the tracker for whatever reason (might be that you are behind a proxy server). Note that you can type a hostname in this field, so if you use a dynamic DNS service, you can enter your domain into this field. Also, realize that not all trackers pay attention to this information, and often ignore it.

Protocol Encryption

  • The Outgoing dropdown menu allows you to select the mode of encryption that you prefer µTorrent to establish. All modes will accept incoming encrypted connections, and the encryption is 2-way.
    • Disabled will force µTorrent to attempt to establish only unencrypted outgoing connections.
    • Enabled will allow µTorrent to establish encrypted and unencrypted outgoing connections, depending on how the peer responds to the handshake. This is the recommended option, as it allows you to connect to the largest number of peers.
    • Forced forces µTorrent to establish only encrypted outgoing connections. Any peer that doesn't support encryption will not be connected to. It is recommended that you not use this option unless your ISP actively searches for unencrypted outgoing connections, as it can significantly impair your ability to connect to peers.
  • Allow incoming legacy connections allows µTorrent to establish unencrypted incoming connections. If disabled, any incoming connection that is unencrypted will be ignored. It is recommended that you not disable this option unless your ISP actively searches for unencrypted incoming connections, as it can significantly impair your ability to connect to peers.


Preferences: Queueing

  • Previous
  • Next
µTorrent User Manual > Appendix A: The µTorrent Interface > Preferences

Queueing

Queue Settings

  • The Maximum number of active torrents field defines the maximum number of unforced torrent jobs that µTorrent will allow to be active before placing it on the queue. Torrent jobs are counted regardless of whether they're seeding or downloading torrents, as long as they are uploading or downloading at 1 KiB/s or higher.
  • The Maximum number of active downloads field defines the maximum number of unforced torrent jobs that µTorrent will allow to be downloaded before making it wait on the download queue. This option only applies to torrent jobs that are downloading or are to be placed in downloading mode.

Seed While

  • The Ratio is: <= field allows you to set the ratio that you wish to reach before µTorrent throttles the speed for the torrent job (or stops it, if you set it to do so). Setting the ratio to -1 is equivalent to setting it to unlimited. Setting this value to 0 tells µTorrent to ignore this value and look only at the seeding time limit. This value is interpreted as a percentage, so please enter it as such. µTorrent will throttle the seeding process only after both this and time limit have been reached.
  • The seeding time is dropdown menu allows you to select the maximum amount of time you wish for the torrent job to continue seeding at normal speeds after it has finished downloading. µTorrent will throttle the seeding process only after both this and the ratio threshold have been reached.
  • Seeding tasks have higher priority than downloading tasks will give seeding tasks higher priority than downloads, so if your maximum number of active torrents is reached, and a torrent job reaches seeding state, the downloading tasks will not force it into queued seeding state.
  • Note: These values only affect torrent jobs added after they are set. Existing torrent jobs will retain their current seeding goals, even if these default settings are modified.

When µTorrent Reaches The Seeding Goal

  • The Limit the upload rate to field allows you to set the speed that µTorrent throttles the upload speed for a torrent job to when it reaches the seeding goal set. Setting this value to 0 is equivalent to telling µTorrent to stop the torrent job. This value is interpreted in KiB/s, so please enter it as such.


Preferences: Scheduler

  • Previous
  • Next
µTorrent User Manual > Appendix A: The µTorrent Interface > Preferences

Scheduler

Enable Scheduler will enable the scheduler if checked.

Scheduler Table

  • Each square in this table represents each hour in each day of each week. You can change the color by left-clicking on a box. It cycles through dark green, light green, and white. To get light red (Seeding Only), hold Shift while left-clicking on the box. Left-click-dragging will cause all time blocks that the mouse passes over to change to the new color.
  • If the box is dark green, it is Full Speed, which means that µTorrent will adhere to the global upload and download rate limits during that hour.
  • If a box is light green, it means the upload and download rates are Limited, and will be bound by the rate limits set in the "Scheduler Settings" section.
  • If a box is white, it means that all torrent jobs that are not forced will be set to Turn off, or stop.
  • If a box is light red, it means Seeding only, and all unforced torrent jobs that are downloading will be stopped. Seeding torrent jobs will proceed to seed as usual.

Scheduler Settings

  • The Limited upload rate field sets the global maximum upload rate that all torrent jobs should follow when operating under Limited mode. Other than the context in which it is active, this upload rate limit behaves exactly like the global maximum upload rate. This value is interpreted in KiB/s, so please enter it as such.
  • The Limited download rate field sets the global maximum download rate that all torrent jobs should follow when operating under Limited mode. Other than the context in which it is active, this download rate limit behaves exactly like the global maximum download rate. This value is interpreted in KiB/s, so please enter it as such.
  • Disable DHT when turning off disables DHT when the scheduler is operating under Turn off mode.


Preferences: Other

  • Previous
  • Next
µTorrent User Manual > Appendix A: The µTorrent Interface > Preferences

Other

Storage For Torrent Files

  • Store .torrent files in sets the location that µTorrent should save .torrent files to. By default, µTorrent will save these files to the settings directory.
  • Move .torrents for finished jobs to moves .torrent files to the specified location after it is completed. By default, these files remain in the same location that they were first copied to.

Auto-Load Torrents

  • Automatically load torrents in directory tells µTorrent to check the specified directory every second for new new .torrent files, and automatically load them. Note that the directory specified here must be different from the directories specified in the .torrent storage settings, otherwise, you will have problems.
  • Delete torrent instead of renaming, when loading tells µTorrent to delete the .torrent file when it is auto-loaded. Normally, if this option is not checked, µTorrent appends .loaded to the extension to indicate that it has been loaded and prevent µTorrent from trying to load the .torrent file again.

Other

  • The Boss-Key field allows you to select a keyboard combination that, when pressed, will toggle the visibility of all traces µTorrent on the immediate desktop. The main window and any open dialogs, the taskbar entry, and the system tray icon all disappear when hidden, and appear again when unhidden (by pressing the keyboard combination a second time). To set this field, you must press the keyboard combination you wish to set the boss-key to. To do so, press your choice of modifier keys (any combination of Ctrl, Alt, and Shift) and the key (letters, numbers, function keys, and so on). Make sure the key combination you select is not used by another application, as that can lead to conflicts.
  • The Clear Private Data button clears previously used paths in various locations, such as the Add New Torrent dialog and the Create New Torrent dialog.
  • Allow µTorrent to send anonymous version number and random id when checking for new version does exactly that - it allows µTorrent to send an anonymous, non-private, randomly generated ID and the µTorrent version and build numbers to the update server in order to count the number of people there are using µTorrent.
  • Auto-update to beta versions tells µTorrent to inform the user about beta releases when automatic updates is enabled. Otherwise, the user is only informed of newer stable builds.


Preferences: Advanced

  • Previous
  • Next
µTorrent User Manual > Appendix A: The µTorrent Interface > Preferences

Advanced

  • Disk Cache
  • User Interface
  • Web UI

WARNING: Unless you fully understand the consequences of changing an advanced setting, you should not modify it without guidance.

  • bt.allow_same_ip: Enabling this option allows multiple incoming connections from the same IP address. This option affects a single torrent job at a time, so you can still have the same IP address connect to you on different torrent swarms. It is recommended that this option be left disabled, as it weakens the anti-leech protection.
  • bt.auto_ul_factor: This option sets the portion of the largest reading to use for throttling. It is interpreted as a percentage, so please enter it as such.
  • bt.auto_ul_interval: This option controls how often µTorrent tests the upload rate for setting the upload rate limit automatically. Every time this interval passes, µTorrent disables the upload rate limit and lets it run while sampling the rate. This option is interpreted in seconds, so please enter it as such.
  • bt.auto_ul_min: This option determines the smallest upload rate µTorrent will use while in auto-uplink throttling mode. If the sampled average is less than this value, µTorrent ignores the sampled average and uses this value instead. This value is interpreted in bytes per second, so please enter it as such. Note that if this value is too low, the automatic upload rate limiter might possibly set the upload rate to a level low enough to trigger Download Limited mode.
  • bt.auto_ul_sample_average: This option sets how many seconds to average the amount of uploaded data over (sliding window).
  • bt.auto_ul_sample_window: This option controls how long each sampling run will take. It is interpreted in seconds, so please enter it as such.
  • bt.ban_ratio: The lowest acceptable ratio of good to bad pieces a peer can send before it gets banned. This takes effect after bt.ban_threshold is exceeded and bt.use_ban_ratio is enabled.
  • bt.ban_threshold: This option specifies the maximum number of hashfailed pieces any single peer can send before µTorrent takes action against it (either banning it outright, or enforcing bt.ban_ratio if bt.use_ban_ratio is enabled).
  • bt.compact_allocation: Do not use this option, it is not working properly. You will have errors if you do. Use diskio.sparse_files instead. Enabling this option allows µTorrent to create files in a manner similar to the Python scripting language's method for allocating files in order to save space while downloading. Note that enabling this option potentially leads to increased disk fragmentation. Do not use this option with diskio.use_partfile. Also, it cannot be used if you tell µTorrent to pre-allocate disk space.
  • bt.connect_speed: This option specifies the number of connections µTorrent should make each second up to the net.max_halfopen limit.
  • bt.enable_tracker: Enabling this option enables the rudimentary tracker embedded in µTorrent. If you wish to use this tracker, the URL is located at http://IP:port/announce, where IP is your WAN IP address, and port is the port µTorrent is listening on (or the alternative listening port if set and enabled). If you use a dynamic DNS service, your domain may be used instead of your IP address. The embedded tracker allows tracking of external .torrent files, and provides no way to limit them. There is no interface for viewing the .torrent files that are tracked. It is imperative that µTorrent is able to listen for incoming connections for this feature to work properly, so you have to make sure you have completely forwarded your ports in order to use the embedded tracker.
  • bt.graceful_shutdown: If enabled, µTorrent will take as long as it needs to finish its shutdown sequence (writing in-progress pieces to disk, deleting files in deletion queue, and waiting for tracker replies to stop messages -- among other things). That means that even if it takes several minutes to shutdown gracefully, it will wait for that long, and the process will remain in memory until then. If disabled, µTorrent will limit how long it waits to to 10 seconds, and regardless of the state of the shutdown sequence, µTorrent will force itself to exit.
  • bt.multiscrape: Enabling this option allows µTorrent to send multiple hashes each time it scrapes a tracker, which is more efficient than sending one hash at a time. In most circumstances, this option should not need to be disabled, as µTorrent will fall back to single scraping if it detects that the tracker does not support multi-scraping.
  • bt.no_connect_to_services: This option tells µTorrent not to connect to peers using ports specified in "bt.no_connect_to_services_list" as their listening ports. This stops firewalls from complaining about µTorrent trying to send an e-mail.
  • bt.no_connect_to_services_list: This option specifies which ports µTorrent should not connect to when "bt.no_connect_to_services" is enabled.
  • bt.prio_first_last_piece: Enabling this option prioritizes the first and last pieces of each file in a torrent job, increasing the chances that they can be previewed before download completion.
  • bt.scrape_stopped: Enabling this option allows µTorrent to get seed and peer counts for torrent jobs that are stopped.
  • bt.send_have_to_seed: Enabling this option tells µTorrent to send a message to other seeds indicating how many pieces you currently have.
  • bt.set_sockbuf: This debugging option allows µTorrent to automatically detect the TCP buffer size (so_sndbuf) and adjust it based on your upload speed. It does not adjust based on latency.
  • bt.use_ban_ratio: This option tells µTorrent to use bt.ban_ratio to decide when a peer gets banned after it has exceeded bt.ban_threshold.
  • bt.use_rangeblock: When enabled, µTorrent will automatically attempt to determine whether an entire range of IP addresses should be banned for sending hashfailed pieces rather than banning individual IPs one at a time. When µTorrent bans 4 IPs from the same /24 CIDR block, it will ban the entire /24 CIDR block. When µTorrent bans 4 CIDR blocks of size /24 from the same /16 CIDR block, it will ban the entire /16 CIDR block. When µTorrent bans 4 CIDR blocks of size /16 from the same /8 CIDR block, it will ban the entire /8 CIDR block.
  • dht.rate: This option specifies the amount of bandwidth that DHT will use. The default value, -1, tells µTorrent to manage the bandwidth usage automatically based on your maximum upload rate. The automatic value is obtained by dividing your maximum upload by 16. This value is interpreted in bytes per second, so please enter it as such.
  • diskio.coalesce_writes: This option tells µTorrent to try to minimize the number of writes to disk by writing more data at once. It doesn't have any effect on download speeds, but might increase memory and CPU usage to achieve less disk writes.
  • diskio.flush_files: Enabling this option closes file handles every minute. It helps to reduce the effect of Windows managing the system cache badly for some people and causing so-called "memory leaks."
  • diskio.smart_hash: This option makes µTorrent hash data from memory (if in the write queue) instead of flushing to disk, re-reading from disk, and then hashing. This should help reduce hard disk reads, especially when transferring at high speeds.
  • diskio.sparse_files: Enabling this option allocates only the data that has been written. It works only on partitions that are formatted as NTFS. Note that enabling this option potentially leads to increased disk fragmentation. Also, it cannot be used if you tell µTorrent to pre-allocate disk space.
  • diskio.use_partfile: This option is used to store data that is downloaded from files that you told µTorrent to skip. This is necessary to prevent the file from being allocated. It stores the parts of the skipped files that come with a piece, since µTorrent must download and save the entire piece, and each piece can contain data from multiple files. The partfile is removed when you remove the torrent job from the torrent job list.
  • gui.addpre_uselistview: Enabling this option tells µTorrent to disable the treeview in the Add New Torrent dialog, and use a flat listview instead.
  • gui.bypass_search_redirect: Enabling this option tells µTorrent to search directly on the selected search engine rather than being redirected through http://search.utorrent.com.
  • gui.compat_diropen: If you experience abnormal behaviors while browsing directories in µTorrent, such as a blank browsing dialog, try enabling this option.
  • gui.default_del_action: This option tells µTorrent how it should remove torrent jobs when pressing the Remove button in the toolbar or Delete on your keyboard. Note that any value above 3 will cause the "Remove" button in the toolbar and the Delete button on your keyboard to do nothing in µTorrent. To be safer, you'd best be setting this option in the GUI through the toolbar method.
    • 0 means "Remove"
    • 1 means "Remove and delete .torrent"
    • 2 means "Remove and delete Data"
    • 3 means "Remove and delete .torrent + Data"
  • gui.delete_to_trash: Enabling this option tells µTorrent to attempt to delete files to the Recycle Bin rather than directly erasing them from the disk. It is easier to set this option in the GUI through the toolbar method.
  • gui.update_rate: This option controls the amount of time between each update of the µTorrent main window. The higher it is, the less frequently µTorrent updates the main window, meaning that if you select 1000, the information displayed on the main window is at most 1000 milliseconds (1 second) old. For users of slower computers, you might want to increase this number to decrease resource usage when the main window is displayed. Any value below 500 will be ignored, and 500 will be used instead.
  • ipfilter.enable: This option, when enabled, tells µTorrent to load ipfilter.dat and apply the rules on connections established after it is loaded. Note that disabling and re-enabling this option will force µTorrent to reload ipfilter.dat.
  • net.bind_ip: If your computer setup requires that you use a specific LAN adapter for incoming connections, you may specify that adapter's IP address here.
  • net.low_cpu: Enabling this option reduces CPU usage slightly. You may achieve faster speeds with this option disabled. In general, this option is useless for most people unless they have extremely fast connections.
  • net.max_halfopen: This option specifies how many connections µTorrent should attempt to establish simultaneously at any given time. On systems running Windows XP with Service Pack 2 (SP2), if your TCPIP.sys file is unpatched, you should leave this option at its default value.
  • net.outgoing_ip: If your computer setup requires that you use a specific LAN adapter for outgoing connections, you may specify that adapter's IP address here. Note that Windows will sometimes ignore this setting and use other adapters. There is no known fix for this.
  • net.outgoing_max_port: This sets the upper limit for the outgoing port range. If this option is set to some invalid port number or some value less than "net.outgoing_port," it gets ignored, and only "net.outgoing_port" gets looked at (meaning the outgoing port "range" will actually be a single outgoing port).
  • net.outgoing_port: This option specifies the port that µTorrent should use to make outgoing connections. Normally, µTorrent selects a port from the ephemeral port range (between 1024 and 5000 by default on Windows) at random. "This can be used with full cone NAT routers to reduce the number of NAT table entries and thus prevent cashes on some router models. When the outgoing port is bound to the same as the incoming port that might even solve NAT problems on full cone NAT routers" (AzureusWiki). This option only works on Windows 2000 and above. This option is ignored if it is not a valid port number.
  • net.wsaevents: This option is used for tweaking if you are experiencing odd firewall issues. Decrease the value one by one to see if it helps.
  • peer.disconnect_inactive: Enabling this option tells µTorrent to disconnect from a peer that is not transferring with you after 5 minutes of inactivity. The time limit can be set using peer.disconnect_inactive_interval.
  • peer.disconnect_inactive_interval: This option sets the amount of time µTorrent should wait before breaking an inactive connection. This value is interpreted in seconds, so please enter it as such. Any value below 300 will be ignored, and 300 will be used instead.
  • peer.lazy_bitfield: Some ISPs block seeding by looking for the complete bitfield and closing the connection. When enabled, µTorrent does not send the complete bitfield, but a sample of it, so as to prevent blocking of seeding.
  • peer.resolve_country: Enabling this option tells µTorrent to use an Internet database of IP addresses (a DNSBL) to determine a peer's country. Even if the settings directory contains flags.conf and flags.bmp, this option will take precedence, and the internal flag images will be used instead.
  • queue.dont_count_slow_dl: Enabling this option tells µTorrent to ignore slow downloading torrent jobs as part of the queue. If a torrent job is downloading at less than 1 KiB/s, it will not prevent the next item in the queue from starting.
  • queue.dont_count_slow_ul: Enabling this option tells µTorrent to ignore slow uploading torrent jobs as part of the queue. If a torrent job is uploading at less than 1 KiB/s, it will not prevent the next item in the queue from starting.
  • queue.prio_no_seeds: Enabling this option gives torrent jobs without seeds higher priority when seeding than other torrent jobs.
  • queue.use_seed_peer_ratio: When this option is enabled, µTorrent will determine the seeding queue order based on the ratio of the number of seeds to the number of peers connected in the swarm. The lower the seed:peer ratio is for a torrent job, the higher priority it will be given in the seeding queue. If a torrent job has 0 peers and queue.dont_count_slow_ul is disabled, it will be given the lowest priority. Otherwise, if the aforementioned option is enabled, the torrent job is treated as if there is 1 peer in the swarm.
  • rss.start_matches: Enabling this option tells µTorrent to override the Don't start the download automatically option for torrent jobs added by RSS favorites.
  • rss.update_interval: This option sets the length of time µTorrent should wait before it checks the RSS feeds again. This value is interpreted in minutes, so please enter it as such. Any value below 5 will be ignored, and 5 will be used instead.


Preferences: Advanced > Disk Cache

  • Previous
  • Next
µTorrent User Manual > Appendix A: The µTorrent Interface > Preferences > Advanced

Disk Cache

Disk Cache

  • Override automatic cache size and specify the size manually allows you to set a new maximum memory usage for the disk cache. Normally, µTorrent automatically adjusts the cache size based on your current download speed. This value is interpreted in MiB, so please enter it as such.
  • Reduce memory usage when cache is not needed flushes disk cache when µTorrent is not transferring data. This option should not be used if you wish to minimize disk access.

Advanced Cache Settings

  • Enable caching of disk writes allows µTorrent to use the disk cache to store data in memory before writing it to disk. This has the effect of decreasing the frequency of writes to disk.
    • Write out untouched blocks every 2 minutes makes µTorrent write to disk the 16 KiB blocks of data in memory that haven't been touched for 2 minutes or longer and don't fill up a piece. This option should not be used if you wish to minimize disk access.
    • Write out finished pieces immediately makes µTorrent write a piece to disk once it is completed in memory. This option should not be used if you wish to minimize disk access.
  • Enable caching of disk reads allows µTorrent to use the disk cache to store frequently read data into memory from disk. This has the effect of decreasing the frequency of reads from disk.
    • Turn off caching if the upload speed is slow disables the read caching if uploading is below 40 KiB/s. This lowers memory usage when the cache is not needed. This option should not be used if you wish to minimize disk access.
    • Remove old blocks from the cache removes chunks of read cache data from memory if they haven't been accessed for 10 minutes in order to make room for other data. This option should not be used if you wish to minimize disk access.
    • Increase automatic cache size when cache thrashing increases the size when reading from disk increases (most often due to increased upload speeds). If you override the automatic cache size, this option is not needed.


Preferences: Advanced > User Interface

  • Previous
  • Next
µTorrent User Manual > Appendix A: The µTorrent Interface > Preferences > Advanced

User Interface

Actions for Double Click

  • For seeding torrents allows you to select the action that µTorrent takes when you double-click a seeding torrent job on the torrent jobs list.
  • For downloading torrents allows you to select the action that µTorrent takes when you double-click a downloading torrent job on the jobs list.

Speed Popup List

  • Override automatic speed popup list allows you to define the lists of speeds that are displayed when right-clicking the corresponding item in the status bar on the main window. If left unchecked, µTorrent automatically generates the list in context, based on the current limit.
    • Upload speed list defines the upload speed list. -1 adds a separator to the list. 0 means Unlimited. Any other positive value is interpreted normally (as that value). Each value must be separated with a comma. The values are interpreted in KiB/s, so please enter them as such.
    • Download speed list defines the download speed list. -1 adds a separator to the list. 0 means Unlimited. Any other positive value is interpreted normally (as that value). Each value must be separated with a comma. The values are interpreted in KiB/s, so please enter them as such.

Persistent Labels

  • The field here allows you to specify permanent labels that remain regardless of the number of torrent jobs there are acutally using that label. Multiple persistent labels may be entered, but must be separated with a | (vertical pipe). Note that persistent labels are given higher priority than normal labels in the category list, so correspondingly, they are displayed above their normal counterparts.

Search Engines

  • This textarea allows you to edit the list of search engines that µTorrent can use when using the built-in torrent search facility. One search engine may be entered per line, and must be entered as follows (where ?search= is arbitrary and depends on the search engine being used):
    Name|http://domain/path?search=
  • In order to add custom search engines to the list on your own, you should have some basic understanding of HTML.
  • Blank lines are displayed as separators in the search engine menu.
  • If you leave the entire field blank, the search widgets in the toolbar will be hidden from view.


Preferences: Advanced > Web UI

  • Previous
  • Next
µTorrent User Manual > Appendix A: The µTorrent Interface > Preferences > Advanced

Web UI

Enable Web Interface will enable the web interface if checked. When enabled, it is assumed that webui.zip is placed properly in the µTorrent settings directory. If the file isn't found there and someone attempts to access the Web UI, µTorrent will simply complain about it not being found in the Logger tab, and display nothing.

Authentication

  • The Username field allows you to specify a username to log into the web interface, and is required in order to use the web interface.
  • The Password field sets the password for this username. It may be left blank if you do not wish to password-protect the web interface.
  • Enable Guest account with username enables or disables the guest account, a user that can view (but not edit) the torrent jobs currently in your torrent jobs list. If enabled, a username for the guest account must be specified in order for it to work.

Connectivity

  • Alternative listening port, if enabled, tells µTorrent to use the specified port to listen to Web UI requests (and the internal tracker if enabled). This option is especially useful for those who randomize their ports each time µTorrent starts. If left disabled, µTorrent will serve the web interface over the same port as its normal listening port. You must forward this port manually, even if you use UPnP to forward the normal µTorrent listening port.
  • Restrict access to the following IPs allows you to limit the IPs that are allowed to connect to the web interface. Multiple IPs may be specified, but they must be separated by commas. IP ranges may be specified using CIDR notation.


RSS Downloader

RSS web feeds deliver information and content in such a way that allows one to track updates using an aggregator. µTorrent can aggregate and parse an RSS feed, allowing one to automatically download newly released .torrent files that match a specified filter. Such feeds must give direct links to the .torrent files in order to be parsed correctly. To access the RSS Downloader, select "Options" then "RSS..." in the main menus, or press Ctrl+R on the keyboard.

  • Feeds
  • Favorites
  • History
  • Releases


RSS Downloader: Feeds

  • Previous
  • Next
µTorrent User Manual > Appendix A: The µTorrent Interface > RSS Downloader

Feeds

The Feeds tab is where you manage the feeds that µTorrent parses.

  • The listbox displays all RSS feeds you enter for µTorrent to parse. If the checkbox next to a feed is checked, µTorrent will scan the feed at every update. Otherwise, that feed is ignored by µTorrent.
  • The Edit button will bring up a dialog that allows you to edit the feed that is currently selected. This serves as an alternative to selecting the feed from the listbox and pressing F2 on your keyboard. Another alternative is to slow double-click the feed and rename the feed directly.
  • The Add button allows you to enter a new feed for µTorrent to parse. Depending on the method used by the website for authenticating users (if any), the URL may have to be entered in a specific format.
  • The Delete button allows you to delete the feed that is currently selected.


RSS Downloader: Favorites

  • Previous
  • Next
µTorrent User Manual > Appendix A: The µTorrent Interface > RSS Downloader

Favorites

The Favorites tab manages filters that allow µTorrent to automatically download specific torrents from a RSS feed.

  • The listbox displays all filters that µTorrent will use when parsing the RSS feeds. If the checkbox next to a filter is checked, it will be used by µTorrent to pick out a torrent to download. Otherwise, the filter is ignored by µTorrent.
  • The Add button allows you to enter a new filter for µTorrent to use when parsing RSS feeds. After you press Add, must name the filter immediately. You can edit this name later by selecting the filter from the listbox and pressing F2 on your keyboard. An alternative is to slow double-click the filter and rename it directly.
  • The Delete button allows you to delete the filter that is currently selected.
  • The ? (question mark) button tests displays the last time the selected filter matched a torrent. It also displays the last 4 torrents matched (if any) and any currently-matching torrents from all applicable feeds. This can be used to double-check your filter.
  • The Filter field allows you to tell µTorrent what you want to match. Wildcards can be used to generalize the filter. Note that you cannot specify the season or episode number in this filter if it is decoded by µTorrent (check the Releases tab). You must use the episode number box, or enable "Filter matches original name instead of decoded name". This field is case insensitive.
  • The Not field allows you to specify text that, if matched by a torrent, will cause µTorrent to ignore it. Wildcards can be used to generalize the filter. Note that you cannot specify the season or episode number in this filter if it is decoded by µTorrent (check the Releases tab). You must use the episode number box, or enable "Filter matches original name instead of decoded name". This field is case insensitive.
  • The Save in field allows you to specify where you want µTorrent to download the torrent contents to. If this field is specified, µTorrent will automatically start the torrent job. Note that if you already have a default download location set, you do not have to set a folder here.
  • The Feed dropdown menu allows you to select a particular feed that you want the filter to apply to. If you want µTorrent to apply this filter to every feed, leave this dropdown menu as (All).
  • The Quality menu allows you to select the quality of the torrents, if it is a video. If what you want to filter is not a video, leave this option as ALL. Note that setting this option is not an absolute necessity, even if you are trying to download a video.
  • The Episode Number field allows you to specify specific episodes to download. This field supports ranges, so if you want to download episodes 1 through 26 of season 3 of some series, you input 3x1-26 into this field. If you want to specify the ending season in addition to the starting season, you can enter something like 3x1-4x15 into the field. If you want to specify the beginning of a range, but not the end (you would like µTorrent to continue every subsequent episode, including in later seasons), something like 3x1- would suffice. Notice the - (hyphen) after the 1. If you prefer, S3E1 can also be used to specify episodes instead of the above-shown 3x1.
  • Filter matches original name instead of decoded name forces µTorrent to apply the filter on the torrent name itself. Normally, µTorrent parses the torrent name and applies the filter on the decoded name, which excludes certain things like quality and episode number.
  • Give download highest priority places a matching torrent at the top of the download queue (#1). Because this is not a forced start, if you pass your maximum number of active torrent jobs after this torrent job gets started, the started torrent closest to the end of the queue will be stopped and will have to wait on the queue.
  • Smart ep. filter causes µTorrent to download the first version of each new episode that matches your filter. Note that you should not enable this option if the episode number is not parseable (when ? is shown for all items under the Episode column in the Releases tab).
  • The Minimal interval dropdown menu sets the minimal interval between each time the filter is matched. For example, if set to 2 days, µTorrent will not attempt to match the filter again until at least 2 days have passed.
    • (match always) tells µTorrent to check the filter for matches every time it checks the RSS feeds.
    • (match only once) tells µTorrent to use the filter only once. After a torrent job is added to the torrent jobs list by the filter, µTorrent won't check the filter for any more matches.
  • The Reset button forces µTorrent to forget when it last matched the filter.
  • The Label for new torrents combobox tells µTorrent to set any torrent that matches this filter to the specified label.


RSS Downloader: History

  • Previous
  • Next
µTorrent User Manual > Appendix A: The µTorrent Interface > RSS Downloader

History

The History tab displays the last 500 torrents matched. Entries can be manually deleted by use of the Delete button at the bottom, or by pressing Delete on the keyboard. Note that left-clicking on a column will sort the items in the list by that column, alternating between ascending and descending sort for each additional click. You can select what columns you wish to see by right-clicking the column headers. If you wish to reset all changes you've made to the columns, you can select "Reset" in that context menu. The following is a description of each column:

  • Full Name is the unparsed name of the torrent (before any information is extracted or decoded).
  • Feed is the feed from which the added torrent job was matched.
  • Download Date is the date that the torrent job was matched.


RSS Downloader: Releases

  • Previous
  • Next
µTorrent User Manual > Appendix A: The µTorrent Interface > RSS Downloader

Releases

The Releases tab displays the selected RSS feed in a list. You can select the feed from the dropdown menu, and manually update the list by pressing Update Now. Note that left-clicking on a column will sort the items in the list by that column, alternating between ascending and descending sort for each additional click. You can select what columns you wish to see by right-clicking the column headers. If you wish to reset all changes you've made to the columns, you can select "Reset" in that context menu. The following is a description of each column:

  • Name is the parsed name of the RSS item (with episode number and quality extracted).
    • means the release is less than 24 hours old.
    • means the torrent job has already been added and moved to the history for the RSS item.
  • Episode is the episode number of the RSS item, if applicable.
  • Format is the quality of the RSS item (assuming it is a video).
  • Date is the date and time that the item was added to the RSS feed.
  • Feed is the feed from which the listed item is aggregated.
  • Full Name is the unparsed name of the RSS item (before any information is extracted or decoded).
  • URL is the URL linked to by the RSS feed.

Context Menu

If you right-click on an item in the list, you'll see a context menu with the following items:

  • Open will attempt to open the .torrent file(s) associated with the selected item(s) to be added to the torrent jobs list. Double-clicking on the selected item achieves the same result.
  • Open URL in browser will open the linked URL(s) in your default web browser. This is useful for RSS feeds that do not link directly to .torrent files, but instead, to a page that links to them.
  • Add to favorites adds the selected items to the Favorites, attempting to create suitable rules for the selected items.


Miscellaneous

There are several other elements in the µTorrent interface that should be explained, but do not fit into the previous sections of the manual.

  • Create New Torrent
  • Add New Torrent
  • Torrent Properties
    • General
    • Advanced
  • Tray Icon


Create New Torrent

So you've finished setting everything up, downloaded some torrents, and are now wondering how you can share your own files with other people? You'll find that the entire process is very simple in µTorrent, and only consists of a few steps, and you're on your way to contributing back to the community. Despite its outward appearance, the .torrent file creation facility's simplicity does not mean it is lacking in functionality, and in most cases, it is all people need in a .torrent file creation utility. The only required step in creating a .torrent file is to select a valid source, though you should configure the rest of the settings appropriately if needed.

After you create the .torrent file, you need to find a way to share it with whoever you want. If you're only targeting a few people, it might be easier to send the file to them directly. If you're targeting the general public, you should upload it to a website that allows .torrent file uploads. Public .torrent index sites often allow for this. The .torrent file can also be uploaded to private trackers, but you should be aware that some private trackers require that you redownload the .torrent file from their tracker in order for it to work.

Select Source

  • The combobox displays the path of the file or directory that will be made into a .torrent file. You can edit this path manually if you know the file or directory's location. Previously used locations are saved in the combobox and can be used again.
  • The Add file button lets you select a specific file and automatically places its path in the combobox above. Selecting a single file disables the "Skip Files" feature.
  • The Add directory button lets you select a specific directory and automatically places its path in the combobox above. Only by using this button can you make use of the "Skip Files" feature.
  • The Skip Files field allows you to skip files using specific filters. This field only gets activated if you use the "Add directory" button. Wildcards can be used to specify multiple files.

Torrent Properties

  • The Trackers textarea lists all the trackers the .torrent file will use. Only HTTP and HTTPS trackers are supported. Trackers are separated by a newline. Those that are not separated by blank lines will be used as backup trackers for adjacently listed trackers. Backup trackers will not be used unless the previously listed tracker fails. Note that having µTorrent use multiple trackers simultaneously does not necessarily improve the .torrent itself, so don't be discouraged from selecting some trackers to be backup trackers. If you're not sure what tracker to use, try checking your favorite .torrent tracker for the tracker URL to use when creating new .torrents for it. Alternatively, you can use the embedded tracker in µTorrent here. This textarea can be left blank if you wish to use only DHT to track the .torrent file, just be sure that you do not make the .torrent file private.
  • The Comment field allows you to place whatever comment you want in the .torrent file.
  • The Piece Size dropdown menu allows you to select the size of each piece in the .torrent file. Selecting too small a piece size for large source files creates a needlessly large .torrent file and extreme protocol communication overhead, while using too large a piece size means more wasted bandwidth for people who often experience hashfails, since they'd have to redownload entire pieces over for each hashfail that occurs. Unless you are absolutely sure you understand what the option is used for, and the consequences that come with using it, it is recommended that you let µTorrent automatically detect the piece size for you.

Other

  • Start seeding tells µTorrent to automatically add the torrent job to the torrent jobs list and start it. Note that if you plan on uploading the .torrent file to a private tracker, you might have to redownload the file from their tracker before it works, so this option might be useless to you if that is the case.
  • Private torrent tells µTorrent to set the 'private' flag in the .torrent file, which tells clients that support this flag to not announce this torrent job over DHT, and disables LPD and PEX as well. Accordingly, if you plan on leaving the Trackers textarea blank in order to make the .torrent file use DHT, you should not enable this option.


Add New Torrent

The Add New Torrent dialog allows you to change several options for the torrent job before it is added to your torrent jobs list. This dialog is displayed only if the relevant option is enabled in the Preferences.

Save As

  • The combobox allows you to specify the location you wish to download the torrent contents. Previously used locations are saved in the combobox and can be used again.
  • The Skip hash check checkbox tells µTorrent to not bother checking existing data for corruption. It is strongly recommended that you do not use this option, as corruption can sometimes happen unknowingly, outside of one's own control. Sharing corrupt pieces is detrimental to the swarm.
  • The Start torrent checkbox tells µTorrent to start the torrent job after it is added to the torrent jobs list. If unchecked, the torrent job will be added in Stopped mode.
  • The Label combobox allows you to set a label for the torrent job being added. Existing labels are displayed in the combobox, but you are free to create a new label if you wish.
  • The Add to top of queue checkbox will give the torrent job a queue number of 1. If combined with the "Start torrent" option, this will start the torrent job immediately.

Torrent Contents

  • Name displays the name of the torrent job, taken from the .torrent file.
  • Comment shows the comment placed on the .torrent file job by its creator.
  • Size displays the total amount of space required for the files being downloaded. Selective file downloading is taken into account, so only the data you select to be downloaded will be counted. When files are skipped, the total size of the torrent contents (not taking selective file downloading into account) is displayed next to the selected size. The last number in the parentheses displays the amount of space available in the disk that the torrent contents are being downloaded to.
  • Date shows the day and time at which the .torrent file was created.
  • The Select All button will mark all files to be downloaded.
  • The Select None button will mark all files to be skipped.
  • The listview is a list of all files in the .torrent file, and allows you to select which files you want to download. The "Name" column displays the filename, and the "Size" column displays the size of the file. A checkmark to the left of the filename means the file will be downloaded, while an empty checkbox means the file will not be downloaded. Pressing Space on the keyboard toggles this for the selected file(s). Right-clicking on the list will display several items:
    • Select will mark the selected file(s) to be downloaded.
    • Deselect will mark the selected file(s) to be skipped.
    • Select All will mark all files to be downloaded.
    • Deselect All will mark all files to be skipped.

The Advanced... button brings up the Torrent Properties dialog.


Torrent Properties

In some cases, you might want a torrent job to behave differently from the default settings, maybe in terms of speed, or maybe how it obtains its peers. With the Torrent Properties dialog, you can edit some of these settings.

  • General
  • Advanced


Torrent Properties: General

  • Previous
  • Next
µTorrent User Manual > Appendix A: The µTorrent Interface > Miscellaneous > Torrent Properties

General

Trackers

  • The textarea lists all the trackers the .torrent file will use. Only HTTP and HTTPS trackers are supported. Trackers are separated by a newline. Those that are not separated by blank lines will be used as backup trackers for adjacently listed trackers.

Bandwidth Settings

  • The Maximum upload rate field will limit the maximum rate at which µTorrent will upload for the selected torrent job. Setting the value to 0 is equivalent to setting it to unlimited. This value is interpreted in KiB/s, so please enter it as such. This limit will not override the global maximum upload rate.
  • The Maximum download rate field will limit the maximum rate at which µTorrent will download for the selected torrent. Setting the value to 0 is equivalent to setting it to unlimited. This value is interpreted in KiB/s, so please enter it as such. This limit will not override the global maximum download rate.
  • The Number of upload slots field defines the maximum number of peers that µTorrent will upload to at any given moment for the selected torrent. This value will override the default value. Leaving this blank tells µTorrent to use the default settings.

Seed While

  • Override default settings tells µTorrent to override the default settings.
  • The Ratio is: <= field allows you to set the ratio that you wish to reach before µTorrent throttles the speed for the torrent job (or stops it, if you set it to do so). Setting the ratio to -1 is equivalent to setting it to unlimited. Setting this value to 0 tells µTorrent to ignore this value and look only at the seeding time limit. This value is interpreted as a percentage, so please enter it as such. µTorrent will throttle the seeding process only after both this and time limit have been reached.
  • The seeding time is dropdown menu allows you to select the maximum amount of time you wish for the torrent job to continue seeding at normal speeds after it has finished downloading. µTorrent will throttle the seeding process only after both this and the ratio threshold have been reached.

Other Settings

  • Initial Seeding enables a more bandwidth efficient method of seeding the torrent job. This should be used only if you are the sole seeder in the swarm, and if there are at least 2 peers connected. Generally, this option should not be used by people with high upload speeds.
  • Enable DHT enables announcing the torrent over DHT. This option is automatically disabled if DHT is turned off, or if the selected .torrent file has the 'private' flag set.
  • Peer Exchange enables trading of peer lists with other peers that support µTorrent's implementation of Peer Exchange. It is disabled if the selected .torrent file has the 'private' flag set.


Torrent Properties: Advanced

  • Previous
  • Next
µTorrent User Manual > Appendix A: The µTorrent Interface > Miscellaneous > Torrent Properties

Advanced

Run Program

  • The given field allows you to run a program after the selected torrent job finishes downloading. There are several variables you should be aware of if you wish to use this feature to manipulate the files you downloaded:
    • %F is the placeholder for the name of the file in the torrent job. This variable assumes the selected torrent job does not contain multiple files. If this is not the case, it will be replaced with an empty string (nothing).
    • %D is equivalent to the path shown in the Save As field on the General tab on the Detailed Info pane, assuming the torrent job contains multiple files. If it is a single file torrent, the path to the directory containing the file is returned.
    • %N is the same as what's listed under the Name column for the torrent job.

Label

  • The given field allows you to input a label for the selected torrent job.


Tray Icon

The µTorrent tray icon gives you a brief overview of your torrent jobs. Placing the mouse cursor over the tray icon will show a tooltip where you can view the total number of torrent jobs you have currently downloading, the total amount queued for download, the total amount currently seeding, and the total amount queued for seeding. Also, the total upload and download speeds are displayed in the tooltip. Left-clicking on the tray icon will toggle the visiblity of the main window, depending your System Tray settings. Right-clicking the tray icon will display a context menu, through which you can make quick settings changes to µTorrent:

  • Hide/Show µTorrent toggles the display of the µTorrent main window.
  • Pause all torrents sets all downloading or seeding torrent jobs to paused mode.
  • Resume all torrents will resume the transferring of paused torrent jobs.
  • Download Limit allows you to control the global maximum download limit. The values displayed depend on your settings in the preferences.
  • Upload Limit allows you to control the global maximum upload limit. The values displayed depend on your settings in the preferences.
  • Enable Scheduler allows you to enable or disable the scheduler from the without having to open the Preferences.
  • µTorrent Webpage opens the µTorrent webpage in your default browser.
  • Exit does just that -- it exits µTorrent. Note that exiting µTorrent automatically sends a stop signal to trackers, so you do not have to stop all torrent jobs before exiting. Torrent jobs that are not stopped will automatically be started when µTorrent is next opened. Even after exiting, the µTorrent process might continue to run for a while longer. This happens because µTorrent is trying to finish transferring pieces and write remaining pieces to disk from memory. The process should disappear after a few seconds.


Appendix B: Advanced Information

This appendix provides advanced information pertaining to operation of µTorrent.

  • Settings Directory
  • URL Formatting
  • Wildcards
  • Command Line Options


Settings Directory

Although µTorrent is mostly self-contained, there has to be a location where it can store its settings for later use after the first run. Because µTorrent does not use the Windows Registry, it has to store its configuration in files on separate files on the disk. By default, those files are located at %AppData%\uTorrent, which can be easily accessed by pressing the "Start" button on the Windows taskbar, and selecting "Run" (or by pressing Windows+R on the keyboard), typing it into the "Open" field, and pressing "OK." Typically, you'll find several .dat files in the settings directory:

  • dht.dat contains information regarding DHT that µTorrent uses when connecting to the DHT network.
  • resume.dat contains information regarding currently loaded torrent jobs.
  • rss.dat stores all RSS-related settings, and also holds the history of previously downloaded torrent jobs. This file only gets created if you use the RSS Downloader.
  • settings.dat contains most of the settings in µTorrent, and also contains the information listed in the statistics dialog.

Note that it is normal to find .dat.old and .dat.*.bad files in the same directory. The former file type denotes good backup files for the case that the corresponding .dat file becomes corrupted. The latter file type denotes backups of corrupted files to be sent to the developer for analysis.

In addition to .dat, .dat.old, and .dat.*.bad files, µTorrent stores loaded .torrent files in its settings directory unless a storage location is specified. These files need to be stored in order for µTorrent to work properly, so do not delete them unless you are absolutely sure µTorrent no longer has the associated torrent job loaded any longer. If you want µTorrent to delete the stored .torrent files automatically upon removal of the torrent job, see the description of the Remove button in the toolbar. Alternatively, the default behavior can be modified using gui.default_del_action.

Encapsulated "Installation"

While %AppData%\uTorrent is the default directory for storing the settings, µTorrent actually searches the directory that the executable file is located in first before looking in %AppData%\uTorrent. As such, as long as the directory that the executable is located in contains a settings.dat file, µTorrent will look no further, and use only files located in its current directory instead. With this behavior, it is possible to create encapsulated µTorrent "installations" for use on portable flash drives, or just to have an isolated copy for any other reason.

External Files

Besides the default .dat files, µTorrent can make use of several other files external from the executable. Such files may modify several subtle behaviors in µTorrent, or allow you to customize the graphical look and feel of µTorrent. What all external files have in common is the location at which they should be placed -- the settings directory.

Extended Functionality

  • flags.conf & flags.bmp are files used to replace the internal µTorrent assignment of flags to a peer's resolved IP's host domain. flags.conf is a text file that specifies the flag order, and maps host domains to a country, whose flag is then obtained from flags.bmp. flags.conf only works on hosts with a TLD of .net or .com, each mapping in the format host domain|country code, where the country code is the country's IANA-assigned two-letter code. flags.bmp is a Windows bitmap that contains adjacently-conjoined bitmaps of dimensions 16x16 each (without any space in between), each 16x16 square being a flag. A custom flags.conf and flags.bmp is being maintained as a community project in the µTorrent forums, compiled by eng. Pressing Ctrl+Shift+R on your keyboard tells µTorrent to (re)load flags.conf.
  • ipfilter.dat is a simple text file that specifies IP ranges to block. Only blocks are supported, allows will be ignored. The format is xxx.xxx.xxx.xxx - yyy.yyy.yyy.yyy for each line, where each x and each y corresponds to arbitrary integers between 0 and 9. Single IPs can be specified on a line without having to write it in IP range notation. This file can be reloaded via the context menu in the Peers tab. If you wish to make use of this file, ipfilter.enable should be enabled.
  • utorrent.lng is the file that contains all available translations for µTorrent at the time of download. When first added to the settings directory, µTorrent will automatically switch to the system language if a translation is available. The language can be changed in the preferences.
  • webui.zip is a zip file containing data µTorrent will serve when the Web UI is enabled and you access http://IP:port/gui/ in a browser window, where IP is your computer's IP address, and port is the port µTorrent is listening on. Using Web UI, you can control µTorrent from any other computer with an Internet connection and a compatible browser installed.

Interface Customization

  • main.ico is the icon that will be displayed in the icon at the top-left of the µTorrent window.
  • maindoc.ico is the icon that will be used as a filetype icon for .torrent files upon association. This is mainly used for older versions of Windows, which might have problems generating filetype icons automatically for .torrent files upon association.
  • tray.ico is the icon that will be displayed in the system tray if the relevant system tray options are enabled.
  • tabs.bmp is a Windows bitmap of dimensions 192x16, consisting of 12 adjacently-conjoined bitmaps of dimensions 16x16 each (without any space in between), that µTorrent uses when icons are displayed on detailed info pane tabs. Icons are arranged as the tabs appear. The first half of the bitmap should contain icons for when a tab is active, and the second half of the bitmap should contain icons for when a tab is inactive, each half arranged in tab order.
  • toolbar.bmp is a Windows bitmap of dimensions 288x24, consisting of 12 adjacently-conjoined bitmaps of dimensions 24x24 each (without any space in between), that µTorrent uses for the images in the µTorrent toolbar. Buttons appear in the same order as they are placed in the bitmap.
  • tstatus.bmp is a Windows bitmap of dimensions 208x16, consisting of 13 adjacently-conjoined bitmaps of dimensions 16x16 each (without any space in between), that µTorrent uses for the images in torrent job status icons and the category list. Icons are arranged in the following order:
    • Downloading
    • Seeding
    • Stopped
    • Paused
    • Downloading (tracker error)
    • Seeding (tracker error)
    • Critical Error
    • Stopped and Finished
    • Queued Download
    • Queued Seed
    • Active (category icon)
    • All (category icon)
    • Inactive (category icon)

External files that change the µTorrent interface are numerous, but thankfully, there is a central repository where you can find many of them. Check out the µTorrent Skins Page for your skinning needs! If you ever decide to create your own interface files, feel free to submit them on that page, and inform us about it in the forums!


URL Formatting

In most cases, when entering a URL into µTorrent, the usual http://domain/path works just fine, but in certain special cases where the site is protected by some form of authentication, modifications will have to be made to the URL in order for µTorrent to be able to get to the contents.

Sites that require HTTP authentication will have to be entered as such: http://username:password@domain/path

Sites that require cookies must be entered as such: http://domain/path:COOKIE:uid=U;pass=P

Note that U and P must be obtained from the cookie file for the site. Also, realize that some sites do not use uid and/or pass as the corresponding variables, and as such, you must use the exact variable name and extra variables they do specify. For example, if the site's cookies specify a, b, and c, with values A, B, and C respectively, you should enter the URL as such: http://domain/path:COOKIE:a=A;b=B;c=C

  • Internet Explorer users can find their cookies in %UserProfile%\Cookies
  • Firefox users can find their cookies in "Tools" > "Options" > "Privacy" > "Cookies" > "Show Cookies"
  • Opera users can find their cookies in "Tools" > "Preferences" > "Advanced" > "Cookies" > "Manage cookies..."
  • Users of other browsers will have to consult their browser's documentation


Wildcards

In several places in µTorrent, wildcards can be used in place of normal characters in order to specify a pattern of characters that µTorrent should use to match whatever it needs. The following may be used in those situations:

  • * (asterisk) to match any text of any length
  • ? (question mark) to match any single character
  • | (vertical pipe) is an "or" conditional

Example: *File?A*|File?B* matches any file that contains File?A anywhere in the filename (where ? is any single character, such as a space or an underscore), or any file that begins with File?B in its filename (again, where ? is any single character).


Command Line Options

Though few, there are several command line options you can use with µTorrent to make it behave differently than normal. Do note that these options can only be used when µTorrent is opened through a shortcut, by command line, or some other means that allows command line options to be used. At any time, a space should be appended along with the wanted option at the end of the target path for the shortcut, outside of any quotation marks that may exist in the target path.

  • /ANSI starts µTorrent without Unicode support, in case anyone ever has trouble with Unicode. This option is not needed for Windows 95/98/ME.
  • /BIGDUMP tells µTorrent to create a large memory dump instead of the minidumps it normally creates when it crashes. This can be useful for the developer to debug problems where minidumps provide insufficient information.
  • /DIRECTORY "SAVE PATH" ".TORRENT FILE TO OPEN" allows you to open a .torrent file and specify where you'd like to save the torrent contents to from the command line, where "SAVE PATH" is the path to the location you'd like to save the torrent contents, and ".TORRENT FILE TO OPEN" is the location of the .torrent file. Note that the save path must not contain a trailing backslash, otherwise µTorrent will fail to load the .torrent file. Only local .torrent files may be used.
  • /HIDE starts µTorrent in boss-key mode, meaning the tray icon and the entire interface is hidden until the boss-key is pressed. Note that you should set up a boss-key before actually starting µTorrent with this switch, otherwise you might find yourself having a difficult time seeing and using µTorrent.
  • /MINIMIZED will start µTorrent minimized, and if minimize to tray is enabled, will start µTorrent minimized to tray.
  • /NOINSTALL will tell µTorrent to bypass the installation dialog prompt.
  • /RECOVER will allow you to open up a second instance of µTorrent instead of its normal behavior where it simply activates the currently-running instance. In order to prevent possible problems, it is recommended that you create an encapsulated copy of µTorrent before opening it as a second instance, then create a shortcut for the encapsulated copy of the executable with the /RECOVER option. Remember that two applications cannot listen on the same port, so if you intend on having the second instance actually be a properly-working instance, you should set the second instance to listen on a different port, and forward that port as well.
  • /UNINSTALL will uninstall µTorrent after user confirmation, deleting even the settings directory. If the install is broken enough that this switch doesn't work, /UNINSTALL /S should force an uninstall without asking for confirmation.


Glossary

Especially if you're new to BitTorrent in general, there are probably many new and unfamiliar terms used throughout this manual (and in many other BitTorrent-related places). To help "clue" you in on the new vocabulary, this glossary can be of great help.

A

  • announce: The act of connecting to a tracker to update it on your status, and to obtain information from it as well, including (but not limited to) an updated peer list.
  • availability: The number of complete copies of the torrent contents there are distributed in the part of the swarm you're connected to. The amount of the torrent contents you currently have is included in the availability count. A swarm with no seed and with an availability below 1.0 will likely be unable to finish transferring the complete torrent contents.

B

  • block: The units of data that comprise a piece. Because blocks do not directly affect whether torrent contents finish transferring, it is not considered an appreciable unit of data with regards to BitTorrent like the piece is.
  • byte: A unit used for measuring the size of data on a computer storage device. Many people confuse "byte" for "bit" when referring to speeds. A byte is composed of 8 bits, so there is a clear distinction, and terminology should not be confused when referring to bytes.
  • broadcatching: The act of downloading content from an RSS feed.

C

  • choked: This word describes the state of a BitTorrent connection. When a connection is choked, it means the person who is supposed to be doing the uploading on the connection does not want to send anything. This generally happens when the uploader's upload slots are full.
  • client: The application a user is using when connected to a swarm. In this case, the application being used to connect to swarms is µTorrent, so it is the client.

D

  • DHCP (Dynamic Host Configuration Protocol): A protocol that allows networked devices to be assigned an unique IP address automatically from a pool of unused IP addresses.
  • DHT (Distributed Hash Table): A distributed tracker that works similarly to a regular tracker in that you announce to it and get back a list of peers that are transferring the same .torrent file as you. Because DHT is distributed, there is no single point of failure, so even if a single node disconnects from DHT, the tracker will continue to work (unlike with normal trackers, where if the server goes down, it becomes unusable). DHT can be thought of as a backup tracker.
  • disk cache: A feature that makes use of available memory to stores data for quicker access as well as ease disk thrashing. The use of a disk cache will cause an increase in memory usage in return for improved performance.
  • disk thrashing: When a storage disk gets accessed very frequently. Extended disk thrashing may lead to hard drive wear and tear, shortening a drive's life.
  • double NAT: A situation where the network device is behind more than one NAT devices (generally routers). In this situation, forwarding ports from just one of those NAT devices is generally insufficient, and more actions need to be taken as described in the advanced port forwarding guide.
  • download: The act of transferring data from another computer onto your own.

E

  • encryption: The obfusication (concealing) of data behind seemingly random data in order to hide its true identity.

F

  • firewall: A barrier (hardware and/or software) that prevents communication to and/or from certain computers, depending on the rules set in the firewall.

G

  • GiB (gibibyte): A gibibyte is equal to 1024 MiB. Most people are referring to "gibibyte" when they say "gigabyte," even though that is technically an incorrect usage of terms.

H

  • hash: A "fingerprint" of data assumed to be unique to the data. Because of the assumed uniqueness of the data, it is used to verify that a piece of data is indeed uncorrupted (since the corrupted data's hash would not match its expected hash).
  • hashfail: When a piece fails the hash check used to verify data integrity.

I

  • index: A site that lists .torrent files available for download.
  • Initial Seeding (Super Seeding): A method of seeding that attempts to decrease the bandwidth load for the initial seeder. With normal seeding methods, the initial seeder typically has to upload 150% to 200%, or even more, of the original data in before a full copy of the data has been distributed into the swarm. With initial seeding, the initial seed attempts to get the rarest pieces out instead of uploading identical pieces repeatedly, often lowering the initial upload requirement to 105%. Initial seeding does not necessarily improve upload speeds or decrease seeding time. It should be used only if you are the sole seeder on the swarm, and if there are at least 2 peers connected. Generally, initial seeding should not be used by people with high upload speeds.
  • interested: This word describes the state of a BitTorrent connection. When a peer is interested, it means the peer is interested in the data that the peer on the other end of the connection has, and is willing to accept data from the other peer.
  • IP address: A number used to uniquely identify devices on a network.
  • ISP (Internet Service Provider): The company providing for your Internet service.
  • ISP throttling: A term used to refer to the throttling of BitTorrent traffic by ISPs.

K

  • KiB (kibibyte): A kibibyte is equal to 1024 bytes. Most people are referring to kibibyte when they say "kilobyte," even though that is technically an incorrect usage of terms.

L

  • LAN (Local Area Network): A network of computers in a local area, such as a home.
  • LAN IP address: The private, internal IP address that locates a computer on a LAN. A LAN IP address is not visible to users outside of the LAN.
  • LPD (Local Peer Discovery): A method by which µTorrent attempts to discover new peers local relative to your computer's network. Local Peer Discovery makes use of IP multicast.
  • leecher: A person who downloads, but fails to reciprocate the generosity of others by not sharing back. The word "leecher" carrys a strong negative connotation.

M

  • MiB (mebibyte): A mebibyte is equal to 1024 KiB. Most people are referring to "mebibyte" when they say "megabyte," even though that is technically an incorrect usage of terms.

N

  • NAT (Network Address Translation): The changing of the source or destination IP address for a data packet. This usually occurs when one is behind a firewall or router, where it translates IP addresses so that multiple computers can exist on a LAN with while using the same WAN IP address.
  • NAT-PMP (NAT Port Mapping Protocol): An alternative to UPnP created by Apple, Inc. NAT-PMP is not as widely supported as UPnP is, and uptake of the protocol has been limited to Apple, Inc. products only thus far.

O

  • optimistic unchoke: When a client tries to start a transfer on a previously choked connection in hopes that the connection becomes unchoked.

P

  • P2P (peer-to-peer): The use of bandwidth of users using the same peer-to-peer service to perform the functions of the peer-to-peer service or software. Centralized servers are not what keeps P2P networks alive, but rather, the peers themselves.
  • PE (Protocol Encryption): A joint specification between Azureus and µTorrent designed to bypass throttling and/or blocking of BitTorrent traffic by ISPs by encryption of the data. There are different methods of encryption, ranging from full encryption of all of the data, to partial encryption of the data (header encryption only, not unlike with PHE, although it's still not as easily detected as PHE).
  • peer: A user/client connected to the swarm. People sometimes refer to peers as "leechers," though they also use the same word to refer to its more negative connotation. It's recommended that you use the word "leecher" to strictly refer to people who don't share so to keep the distinction clear and confusion to a minimum.
  • peer list: A list containing the IPs and ports of other peers.
  • PEX (Peer Exchange): A feature to exchange peer lists with other peers that support the same PEX implementation (generally limited to peers using the same BitTorrent client). By exchanging peer lists, it's possible to find peers not included in the peer list supplied by the tracker.
  • PHE (Protocol Header Encryption): An old method of encryption created by the BitComet developer that encrypted only a part of the data (the header) in an attempt to bypass ISP throttling and/or blocking of BitTorrent traffic. Because its specification was poorly developed, ISPs were able to detect it with little trouble, rendering it useless.
  • piece: The smallest appreciable unit of data in BitTorrent. The size of pieces can be different depending on the .torrent file in question.
  • piece distribution: The general distribution of the pieces across the swarm. BitTorrent is generally most efficient when piece distribution is random, with minimal "clumping" of pieces available in the swarm.
  • port forwarding: The act of passing data on the forwarded port from one network device to another. In most cases regarding BitTorrent, port forwarding refers to the forwarding of connections from a router to a specific computer attempting to listen on that port.
  • 'private' flag: A piece of information stored in a .torrent file that tells any BitTorrent client that recognizes the flag to disable DHT, LPD, and PEX for that specific .torrent. The 'private' flag is typically used in .torrent files served by private trackers as a method of keeping a swarm isolated from people who aren't members of the private tracker.
  • private tracker: A tracker that requires users to log in to use it. Private trackers typically enforce ratio requirements (by banning users whose ratios are too low) in order to prevent or minimize the leeching that is prevalent on many public trackers.
  • protocol: A set of rules and description of how to do things. In the case of the BitTorrent protocol, it is a set of rules describing how BitTorrent clients should communicate and transfer data with each other.
  • proxy: A computer that is told to make a connection to another computer, and relay the data transferred between the two computers to the original computer that connected to the proxy. Essentially, using a proxy is a way to make an indirect connection to another computer by way of the proxy computer.
  • public tracker: A tracker that is open for anyone to use (as opposed to private trackers, where only people who hold accounts can use the tracker).

R

  • ratio: A number derived from the division of two other numbers. In the context of BitTorrent, people are normally referring to share ratio when they speak of a ratio.
  • reseed: The act of rejoining a swarm with no seeds as a seed.
  • RSS feed: A file that is updated so that it delivers information and content in such a way that allows one to track updates quickly and easily.

S

  • scrape: The grabbing of statistics (number of seeds and peers) from a tracker regarding a specific swarm.
  • seed: A peer with 100% of the data in the torrent contents.
  • seeding: The act of being connected to a swarm as a seed.
  • share ratio: The ratio of the amount of data you've uploaded to the amount of data you've downloaded.
  • snubbed: This word describes the state of a BitTorrent connection. A connection is marked as snubbed when the client has not received anything over the connection for an extended period of time.
  • static IP address: An IP address that does not change (remains static) across multiple sessions. A static IP address is necessary in port forwarding, as ports are usually forwarded to a specific IP address, where the rule does not change even if the computer's IP address does.
  • swarm: The collective group of peers (which includes seeds) that are connected by a common .torrent file.

T

  • throttle: A term used to refer to the intentional slowing down of transfer rates (download and/or upload), typically used in the context of ISP throttling.
  • torrent: A small file containing metadata from the files it is describing. In other contexts, it is sometimes used to refer to the swarm connected around that small file.
  • tracker: Something that a client connects to in order to share its IP and port, as well as obtain information, including peer lists.

U

  • upload: The act of transferring data from your computer onto another.
  • UPnP (Universal Plug and Play): A protocol that allows devices on a network to communicate with each other seamlessly. In the case of µTorrent, UPnP is used to forward a port on a router without the need to open the port manually.

W

  • WAN (Wide Area Network): A computer network that covers a large geographical area. A WAN connects multiple LANs together. The Internet is an example of a WAN.
  • WAN IP address: The public, external IP address that users outside of your own network see your network to be located at on the WAN. WAN IP addresses reveal nothing about internal IP address allocation on a LAN located at the WAN IP address.
  • wasted: Data that is tossed out either because it hashfailed, or because it was redundant data that the client had already downloaded.
  • web interface (Web UI): An interface for a supported web browser that allows one to control an application remotely.
  • web seed: A seed that is basically a regular web server hosting the requested file. BitTorrent clients that support web seeds use them like any other seed, and can request data segments from the server much like requesting pieces from an ordinary seed. The use of web seeds ensures that a torrent swarm will never die as long as the file being seeded is left intact on the server and the server does not go down.


External Links

Here's a list of external webpages mentioned in the help manual:

  • µTorrent
    • Webpage
    • FAQ (Frequently Asked Questions)
    • Skins Page
    • Download Page
    • Forums
      • flags.conf/flags.bmp
    • IRC Channel
  • AzureusWiki
    • Advanced Network Settings
  • Microsoft
    • Windows Socket 2 Update
    • Windows TCP/IP Registry Entries
  • Miscellaneous
    • Why is Being Firewalled Bad?
  • PortForward
    • How to Set Up a Static IP Address
    • Router List for PortForwarding Guides
    • Motorola SurfBoard Issues
  • Running on Alternative Operating Systems
    • CodeWeavers
    • Darwine
    • WineHQ.org
  • Speed Test Torrents
    • OpenOffice.org
    • Slackware Linux
    • Ubuntu Linux


Credits

This user manual was authored by Ultima. That is all. Or not...

Yeah, it's taken such a long time to get this manual to where it currently is, but without help from a bunch of people, I'm sure it would've taken ages longer. Let this page be a "thank you" for helping! Each list is sorted in alphabetical order.

  • Developers (The reasons µTorrent exists)
    • alus (Greg Hazel)
    • arvid (Arvid Norberg)
    • CodeRed
    • ludde (Ludvig Strigeus)
    • rchoi (Richard Choi)
    • RyanNorton (Ryan Norton)
  • Overall (Helped with a broad range of things)
    • DreadWingKnight (Harold Feit): Being someone who always had definite answers :)
    • Firon (Giancarlo Martínez): Being someone who usually had definite answers xD
    • ignorantcow (Timothy Su): Layout :D
    • Smoovious: Tolerating and answering all of my stupid questions ;]
  • Guides (Played major roles in shaping the guides)
    • jeroenimo and NoOneButMe: Darwine and CrossOver Mac information!
    • Pelo: New and improved guides!
    • splintax: Original guides
    • TheSHAD0W: "Why Is Being Firewalled Bad?" article
  • Proof Readers (There'd be even more mistakes abound without 'em)
    • icleolion: Anything else I should fix? xP
    • schnurlos: Caught too many minor mistakes! x[
  • Miscellaneous
    • Forum lurkers ;)
    • IRC idlers ;D

If you think you weren't properly credited, feel free to bug me about it on IRC or the forums and I'll make the judgement call. If I do find that I've made a mistake, forgive me, and don't feel too bad about me failing to remember properly -- as I've said, it's been a long while since I started writing this manual, and I can be forgetful a lot of times :P